/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',15,'childNodes||!',15,'createElement','){alert("The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,2,'={version:"3.3",document:document,',1,':',1,',sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',35,'","div','.typeset":"text-align: ','center; margin: 1em 0px;","span',39,'left',36,' span":"text-align: left','; border',':0px; margin:0px','; padding',':0px','",".typeset .','normal',35,49,'size0','":"font-size: ','50','%",".typeset .','size1',54,'60',56,'size2',54,'70',56,'size3',54,'85',56,'size4',54,'100',56,'size5',54,'120',56,'size6',54,'144',56,'size7',54,'173',56,'size8',54,'207',56,'size9',54,'249',56,'cmr10','":"font-family: jsMath-',93,', serif',49,'cmbx10',94,98,', ','jsMath-cmr10',49,'cmti10',94,104,', ',102,49,'cmmi10',94,110,49,'cmsy10',94,114,49,'cmex10',94,118,49,'textit','":"font-family: serif; font-','style:italic',49,'textbf',123,'weight:bold',49,'link":"','text-decoration',': none',49,'error',54,'10pt; font-style: italic; "+"','background-color',': #FFFFCC',47,': 1px; "+"border: ','1px solid',' #CC0000',49,'blank":"','display:inline-block','; ','overflow:hidden',45,':0px none; width:0px; height:0px;",".typeset .','spacer','":"',145,'","#jsMath_message":"','position:fixed','; bottom:','1px; left:2px; ',137,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size',':','small; ','width:auto',';","#jsMath_panel','":"',154,155,'1.5em; right:1.5em',47,': .8em 1.6em; "+"',137,':#DDDDDD; border: outset ','2px; "+"z-index:103; ',166,167,' .disabled":"color:#888888","#jsMath_panel .infoLink','":"font-size:','85%","#','jsMath_button','":"',154,155,'1px; right:2px; ',137,':white',159,'0px 3px 1px 3px',161,':black; ',131,':none',163,':x-small; "+"',166,'; ','cursor:hand',';","#','jsMath_global":"font-',124,';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ',166,'; height:auto',203,' .drag":"',137,175,'1px; height:12px',163,': 1px',203,' .close":"',137,158,45,': inset 1px; width:8px; height:8px; margin: 1px 2px',203,' .source":"',137,':#E2E2E2',45,': outset 1px; "+"',166,208,47,': 8px 15px; "+"font-family: courier, fixed',163,': 90%","#jsMath_noFont',' .message":"text-align: center; padding: .8em 1.6em; border: 3px solid #DD0000; "+"background-color: #FFF8F8; color: #AA0000; font-size:',165,166,200,'jsMath_noFont .link":"padding: 0px 5px 2px 5px',45,': 2px outset; ',137,':#E8E8E8; "+"color:black',163,':80%; ',166,'; ',199,200,'jsMath_PrintWarning',234,'x-',165,166,';","@media print":"#',182,' {display:none','}\\n"+"#jsMath_Warning',256,'}","@media screen":"#',249,256,'}"},Element',':function(','_1){return ',6,15,16,'("jsMath_"+_1);},','BBoxFor',263,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _3={w',':this.','hidden','.offsetWidth',',h',275,276,'.offsetHeight','};this.',273,'="";return _3;},EmBoxFor',263,'s',8,'_5=',6,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',296,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',296,'];},','EmBoxForItalics',263,'s',8,'_8=',6,290,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',296,']){var _9',298,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',298,'(s+',6,'Browser.','italicString',').w-',6,325,'italicCorrection',';}_8',296,']={w:_9.w/this.em,h:_9',302,'_8',296,'];},Init',':function(){','if(',6,'Setup.inited','!=1){',0,6,341,'){',6,'Setup.','Body();}if(',6,341,'!=1){alert("It looks like jsMath failed to set up properly (error code "+',6,341,'+").  "+"I will try to keep going, but it could get ugly.");',6,341,'=1;}}this.em',298,'("<span style=\\""+',6,325,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',272,'em',298,'("<img src=\\""+',6,'blank+"\\" style=\\"',364,'\\"/>").w/13;}var _a=',6,290,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',298,'("x");var hh=',380,'bb.h;',380,'d',298,'("x"+',6,'HTML.Rule(1,','hh/',6,'em)).h-hh;if(',6,325,326,'){',380,'ic=',6,269,'(',6,325,326,').w;}}',6,325,330,'=',380,'ic;var bb=',380,'bb;var h=bb.h;var d=',380,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',348,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',93,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',272,348,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',432,'0].d)/0.85;',426,'=1;},ReInit',338,'var w',298,'("x").w;if(w!=this.xWidth',272,'Init();}},Loaded',338,'if(',9,8,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',9,'[_11[i]]){delete ',9,'[_11[i]];}}}if(',9,'){this.Insert(','jsMath,',9,');}',9,'=null;',6,7,'=1;},Add',263,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',263,467,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',473,'function")){this.Insert(dst[id],src[id]);}',27,468,'];}}},Package',263,'obj,def',457,'obj.prototype,def);}};',6,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',338,6,290,'={',486,':{}};},GoGlobal',263,'_1b',8,'url=String(',6,1,'.','location);','var c=(',6,1,'.','location.protocol','=="mk:")?"#":"?";if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',6,'Controls.','Reload(',6,'root+"jsMath-','global.html"+c+escape(url));},Init',338,'if(',6,'Controls.cookie','.global=="always"&&!',6,'noGoGlobal){','if(navigator.','accentColorName','){return;}',0,6,1,'){',6,1,'=',1,';}',6,509,7,'=1;',6,509,'defaults.hiddenGlobal',462,'this.GoGlobal(',6,509,'SetCookie(','2));}},Register',338,'try{this.Domain();if(parent',2,'&&','parent.',6,'isGlobal){',550,6,'Register(',6,1,');}}','catch(err','){}},Domain',338,'if(navigator.appName=="Microsoft Internet Explorer"&&navigator.platform=="MacPPC"&&navigator.','userProfile','!=null',523,'if(',1,'==parent',523,'var _1e=',6,15,'domain;try{while(true){try{if(',550,15,'title!=null','){return;}}',559,'){}',0,15,'domain.match(/\\..*\\./)){break;}',6,15,'domain=',6,15,'domain.replace(/^[^.]*\\./,"");}}',559,'){}',6,15,585,'_1e;}};',6,'Script={request:null,Init',338,'if(!(',6,517,'.asynch&&',6,517,'.progress',')){if(',1,'.XMLHttpRequest){','this.request','=new XMLHttpRequest;}',27,'if(',1,'.ActiveXObject){try{',608,'=new ActiveXObject("Microsoft.XMLHTTP");}',559,'){}}}}',0,608,'||',6,348,'domainChanged',272,'Load=this.delayedLoad;this.needsBody=1;}},Load',263,'url,_20){if(_20){',6,'Message.Set("Loading "+url);',6,'Script.','Delay(1);',6,'Script.Push(','this,"xmlRequest",url',');',6,634,6,'Message',',"Clear");}',27,6,634,635,');}},xmlRequest',263,'url){','this.blocking','=1;try{',608,'.open("GET",url,false);',608,'.send(null);}',559,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',640,': "+err.message;}if(',608,'.status','&&',608,660,'>=400',656,'Error status: "+',608,660,';}var _22=','this.queue',';',670,'=[];',6,1,'.eval(',608,'.responseText);',649,'=0;','this.queue=this.queue.concat(','_22);this.Process();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',263,'_23,_24){','if(typeof (','_23)!="string"){',6,634,'null,_23,_24);}',27,6,634,6,1,',"eval",_23);}},Push',263,'_25,_26,_27){',670,'[',670,'.length]=[_25,_26,_27];if(!(',649,'||(this.needsBody&&!',6,15,'body))){this.Process();}},Process',338,'while(',670,'.length&&!',649,8,'_28=',670,'[0];var _29=',670,'.slice(1);',670,'=[];var _2a=_28[0];var _2b=_28[1];var _2c=_28[2];if(_2a){_2a[_2b](_2c);}',27,'if(_2b){_2b(_2c);}}',681,'_29);}},delayedLoad',263,'url',272,'Push(this,"startLoad",url);},startLoad',263,'url){','this.iframe','=',6,15,21,'("iframe");','this.iframe.style.','visibility="',276,'";',736,'position="absolute";',736,'width="0px";',736,'height="0px";if(',6,15,'body.firstChild','){',6,15,'body.insertBefore(',730,',',6,15,748,');}',27,6,15,'body','.appendChild(',730,');}',649,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',730,'.src=url;}',27,730,'.src=',6,512,'loader.html";}if(url.substr(0,',6,'root.length',')==',6,'root){url=url.substr(',6,780,');}',6,629,'this.cancelTimer','=setTimeout("',6,631,'cancelLoad','()",this.cancelTimeout);},endLoad',263,'_2f){if(',789,'){clearTimeout(',789,');',789,'=null;}',6,640,'.Clear();if(_2f!="cancel"){',649,'=0;this.Process','();}},Start',338,'this.tmpQueue','=',670,';',670,'=[];},End',338,681,810,');delete ',810,';},',793,338,789,462,6,640,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',263,'_30){',649,'=1;setTimeout("',6,631,'endDelay','()",_30);},',835,338,649,807,'();},','imageCount',':0,WaitForImage',263,'_31){',649,767,842,'++;if(this.img==null',272,'img=[];}var img=new Image',430,'img[this.img.length]=img;img.onload=function(){if(--',6,631,842,'==0){',6,631,835,'();}};img.onerror','=img.onload;img.','onabort',862,'src=_31;},Uncompress',263,'_33){','for(var k=0;k<','_33.length;k++){var d=_33[k];var n=d.length;',449,'n;i++){',685,'d[i])=="number"){d[i]=d[d[i]];}}_33[k]=d.join("");}',1,676,'_33.join(""));}};',6,640,'={blank:null,message:null,text:null,clear:null,Init',338,0,6,15,'body||!',6,517,604,523,'if(',6,348,'stylesReady){','this.message','=',6,'Setup.DIV("message",{visibility:"hidden','"});}',27,893,'=',6,896,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',6,15,'createTextNode','("");',893,763,907,');',893,'.onmousedown=',6,'Translate.Cancel;},Set',263,'_38,_39){','if(this.clear){clearTimeout(this.clear',');','this.clear',802,'if(',6,517,604,'){',0,907,272,'Init();',0,907,577,'if(',6,325,'textNodeBug','){',893,'.innerHTML','=_38;}',27,907,'.nodeValue',946,893,'.style.visibility="','visible";if(_39){',893,'.style.cursor','="pointer";',0,893,955,'){',893,955,'="hand";}',893,'.title=" Cancel Processing of Math ";}',27,893,955,'="";',893,'.title="";}}',27,'if(_38.substr(0,8)!="Loading "){',6,1,660,'=_38;}}},Clear',338,923,');}',925,'=setTimeout("',6,640,'.doClear()",1000);},doClear',338,'if(',925,'){',925,462,6,1,660,'="";if(',907,'){',907,949,'="";}if(',893,'){',893,952,276,'";}}},Blank',338,'if(','this.blank','||!',6,15,'body',523,1009,'=',6,348,'DIV("blank",{position:(',6,325,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',905,':"white"});if(',6,325,'msieBlankBug','){',1009,945,'="&nbsp;";',1009,'.style.width="110%";',1009,'.style.height="110%";}},UnBlank',338,'if(',1009,'){',6,15,'body.removeChild(',1009,');}',1009,'=null;}};',6,'Setup={',7,':[],DIV',263,'id,_3b',8,'div=',6,15,21,'("div");div.id="jsMath_"+id;','for(var i in ','_3b){div.style[i]=_3b[i];}',0,6,15,'body.hasChildNodes){',6,15,'body',763,'div);}',27,6,15,752,'div,',6,15,748,');}return div;},Script',263,'_3e,_3f){if(','this.loaded[_3e',']){return;}',27,1082,']=1;}',0,'_3e.match("^([a-zA-Z]+:/?)?/")){_3e=',6,'root+_3e;}',6,631,'Load(_3e,_3f);},Hidden',338,6,276,'=this.DIV("Hidden",{visibility:"',276,903,'top:0,left:0,border:0,padding:0,margin:0});',6,'hiddenTop=',6,276,';return;},Source',338,'if(',6,'Autoload&&',6,'Autoload.root','){',6,'root=',6,1111,';}',27,6,'root="";var _40=',6,15,'getElementsByTagName("','script");if(_40){',449,'_40','.length;i++){var ','src=_40[i].src;if(src&&src.match("(^|/)',6,'js$")){',6,1114,'src.','replace(/',6,'js$/,"");if(',6,'root.charAt(0)=="/"){',6,1114,6,15,506,'+"//"+',6,15,'location.host+',6,'root;}',27,0,6,'root.match','(/^[a-z]+:/i)){src','=new String(',6,15,501,6,1114,'src','.replace(new RegExp','("[^/]*$"),"")+',6,'root;while(',6,1153,'("/[^/]*/\\\\.\\\\./")){',6,1114,6,'root',1162,'("/[^/]*/\\\\.\\\\./"),"/");}}}i=_40.length;}}}}',6,'Img.',1114,6,'root+"fonts/";',6,'blank=',6,'root+"blank.gif";this.Domain();},Domain',338,'try{',6,15,'domain;}',559,523,'var _43="";var _44=',6,15,'domain;if(',6,1153,'("://([^/]*)/")){_43=RegExp.$1;}_43=_43.replace(/:\\d+$/,"");if(_43==""||_43==_44',523,562,'onLine&&','navigator.',563,'&&',6,15,'all',523,'_43=_43.split(/\\./);_44=_44.split(/\\./);if(_43.length<2||_44.length<2||','_43[_43.length-','1',']!=_44[_44.length-','1]||',1209,'2',1211,'2]){this.','DomainWarning','();return;}var _45=',1209,'2]+"."+',1209,'1];for(var i=3;i<=_43.length&&i<=_44',451,1209,'i',1211,'i]){break;}_45=',1209,'i]+"."+_45;}',6,15,585,'_45;this.',623,'=1;},',1217,338,'alert("In order for jsMath to be able to load the additional "+"components that it may need, the ',6,'js file must be "+"',7,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',23,'displayed here may not appear correctly.");},','EncodeFont',263,'_47',8,'_48=',6,'TeX[_47];if(_48[0].c!=null',523,868,'128;k++){var _4a=_48[k];_48[k]=_4a[3];if(_48[k]==null){_48[k]={};}_48[k].w=_4a[0];_48[k].h=_4a[1];if(_4a[2]!=null){_48[k].d=_4a[2];}_48[k].c=',6,'TeX.encoding[k];}},Fonts',338,449,6,'TeX.fam',1127,'_4c=',6,1260,'[i];if(_4c',272,1245,'(_4c);}}},TeXfont',263,'_4d',8,'_4e=',6,'TeX[_4d];if(_4e==null',523,'var WH=',6,421,'=\\""+_4d+"\\">"+_4e[65','].c+"</span>");','_4e.hd=WH.h;_4e.dh=0.05;_4e.d=',6,421,'=\\""+_4d+"\\">"+_4e[65].c+',6,391,'_4e.hd)+"</span>").h-_4e.hd;_4e.h=_4e.hd-_4e.d;','if(_4d=="',110,'"){_4e.skewchar=','127;}',27,1288,114,1290,'48;}}},',419,338,449,6,1260,451,6,1260,'[i]){this.TeXfont(',6,1260,'[i]);}}},Sizes',338,6,'TeXparams','=[];for(var j=0;j<',6,'sizes.length;j++){',6,1311,'[j]={};}',1060,6,'TeX){',685,6,'TeX[i])!="object"){for(var j=0;j<',6,'sizes.length;j++){',6,1311,'[j][i]=',6,'sizes[j]*',6,'TeX[i]/100;}}}},Styles',263,'_54){',0,'_54){_54=',6,'styles;_54[".typeset .scale"]="font-size:"+',6,517,'.scale+"%";this.stylesReady=1;}',6,634,'this,"','AddStyleSheet','",_54);if(',6,325,'styleChangeDelay','){',6,634,6,'Script,"Delay",1);}},',1345,263,'_55',8,'_56=',6,15,1123,'head")[0];var _57="";for(var id in _55){_57+=id+" {"+_55[id]+"}\\n";}if(',6,15,'createStyleSheet){_56.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_57+"</style>");}',27,'var _59=',6,15,21,'("style");_59.type="text/css";_59',763,6,15,911,'(_57));_56',763,'_59);}},Body',338,'if(this.inited',523,'this.inited=-','1;',6,348,'Hidden();',1385,'2;',6,325,935,1385,'3;if(',6,517,'.blank){',6,640,'.Blank();}',1385,'4;',6,348,'Styles();',1385,'5;',6,509,935,1385,'6;',6,634,6,'Setup,"User","pre-font");',1385,'7;',6,634,6,'Font,"Check");if(',6,'Font.register.length){',6,634,6,'Font,"LoadRegistered");}this.inited=1;},User',263,'_5a){}};',6,'Update={',419,263,'_5b){for(var ','_5c in ',1437,'_5d in _5b[_5c]){for(var id in _5b[_5c][_5d]){',6,'TeX[_5c][_5d][id]=_5b[_5c][_5d][id];}}}},TeXfontCodes',263,'_5f){for(var _60 in _5f){',449,'_5f[_60].length;i++){',6,'TeX[_60][i].c=_5f[_60][i];}}}};',6,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1349,':0,delay:1,version:0,','TestSpanHeight',338,6,273,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',365,'></span>";var ','_62=',6,'hidden.firstChild;','var img=_62.firstChild;','this.spanHeightVaries','=(_62',281,'>=img',281,'&&_62',281,'>0);','this.spanHeightTooBig','=(_62',281,'>img',281,');',6,273,'="";},','TestInlineBlock',338,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',6,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1495,'){',6,'styles[".typeset .','blank"]=',6,1504,'blank','"].replace(/',145,'/,',1493,');',6,1504,150,'"]=',6,1504,150,1509,145,'/,"");}',27,1493,'="',145,'";',1495,'=',6,1498,1499,'(!',1495,577,1493,'+=";',147,'";var h=',6,269,'("x").h;this.mozInlineBlockBug=',6,1498,'height:"+h+"px;width:1px',365,'>x"+"<',1465,1546,';vertical-align:-"+h+"px',365,'>").h>2*h;this.widthAddsBorder=',6,1498,147,';height:1px;width:10px',';border-left:','10px solid',365,'>").w>10;','this.msieBorderBug','=',6,1498,1546,365,'>x").h!=',6,1498,1546,1558,141,365,'>x").h;this.blankWidthBug=',1562,'||',6,1498,1466,'0px',365,'>").h==0;},','TestRenameOK',338,6,273,1463,1469,'_65=',6,1472,'_65.setAttribute("name","','jsMath_test','");this.renameOK=(',6,15,'getElementsByName("',1594,'").length>0);',6,273,1490,'TestStyleChange',338,6,273,1463,' ID=\\"',1594,'\\">x</span>";var _66=',6,1472,'var w=_66',277,';',6,348,1345,'({"#',1594,180,'200%"});this.',1349,'=(_66',277,'==w);',6,273,1490,'VersionAtLeast',263,'v',8,'bv',1155,'this.version',').split(".");','v',1155,'v',1638,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',338,6,25,'="unknown";this.',1491,430,1459,430,1584,430,1604,430,'MSIE',430,'Mozilla',430,'Opera',430,'OmniWeb',430,'Safari',430,'Konqueror','();if(','this.allowAbsoluteDelim','){',6,'Box.DelimExtend=',6,'Box.DelimExtendAbsolute;',6,'Box.Layout=',6,'Box.LayoutAbsolute;}',27,6,'Box.DelimExtend=',6,'Box.DelimExtendRelative;',6,'Box.Layout=',6,'Box.LayoutRelative;}if(','this.separateSkips','){',6,'HTML.Place=',6,'HTML.','PlaceSeparateSkips',';',6,'Typeset.prototype.','Place=',6,1696,1693,';}},MSIE',338,'if(',1474,'&&!',1482,'){',6,25,'="MSIE";',521,'platform','=="Win32"){',1668,'=1;',1687,'=1',';this.buttonCheck=1;this.',1028,'=1;this.msieDivWidthBug=1;this.',1022,767,'msieIntegralBug',767,'waitForImages',767,'msieAlphaBug',767,'alphaPrintBug',767,1451,'="position:relative; ";this.',1453,'=" ',145,';";this.',1455,1463,1367,145,365,'>";',6,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',6,1504,'arial"]="font-family: \'Arial unicode MS\'";',6,'styles["#jsMath_message','"]=',6,1749,1509,154,'/,"',205,'").',1134,166,'/,"");',6,'styles["#jsMath_panel','"]=',6,1762,1509,154,'/,"',205,'").',1134,166,1760,6,'styles["#jsMath_button','"]="width:','1px; "+',6,1775,1509,154,'/,"',205,'").',1134,166,1760,6,1,'.onscroll=',6,509,'MoveButton;',6,1504,150,'"]=',6,1504,150,1509,145,1760,'if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1805,'!=',1807,272,'imgScale*=',1807,'/',1805,';',6,517,'.alpha=0;}this.',326,'="<i>x</i>";',6,'EmBoxFor=',6,306,';}',27,521,1712,'=="MacPPC"){this.msieAbsoluteBug',767,'msieButtonBug',1720,1028,'=1;',6,'Setup.Script("jsMath-','msie-mac.js");',6,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',6,1762,1776,'42em; "+',6,1762,1509,166,1760,6,517,'.printwarn','=0;}}',6,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',338,'if(',6,276,'.ATTRIBUTE_NODE){',6,25,'="Mozilla";',521,1712,'=="Win32"){this.',1729,'=1;}',1668,'=1;',6,1775,'"]=',6,1775,1509,199,'/,"cursor:pointer");',6,'styles["#jsMath_noFont .link','"]=',6,1882,1509,199,'/,"cursor:pointer");',6,1856,'/}}");',521,'vendor=="Firefox"){',1637,'=',1201,'vendorSub;}',27,521,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1637,'=RegExp.$1;}}}},',1662,338,521,'accentColorName){',6,25,'="',1662,'";','this.allowAbsolute','=',1495,';',1668,'=',1913,';this.valignBug=!',1913,1718,942,'=1;',6,'noChangeGlobal=1;',0,1495,'){',6,1838,'old-browsers.js','");}}},Opera',338,'if(',1482,'){',6,25,'="Opera";var _6a=',1201,1900,'("Opera 7");',1913,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6a){',6,1838,1932,'");}}},Safari',338,521,'appVersion.match(/Safari\\//)){',6,25,'="Safari";var _6b=',1201,1900,'("Safari/([0-9]+)");_6b=(_6b)?_6b[1]:400;',449,6,1260,451,6,1260,'[i]&&',6,'TeX[',6,1260,'[i]]){',6,'TeX[',6,1260,'[i]].dh=0.1;}}',6,'TeX.axis_height+=0.05;',6,'TeX.default_rule_thickness+=0.025;',1668,'=_6b>=125;this.safariIFRAMEbug=_6b>=312&&_6b<412;this.safariButtonBug=_6b<412;this.safariImgBug',767,942,'=1',1718,1349,'=1;}},',1666,338,521,'product&&',1201,'product.match("',1666,'")){',6,25,'="',1666,'";',1913,'=0;',1668,'=0;',521,1900,'(/',1666,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1687,767,'valignBug=1;',6,1838,1932,'");}}}}};',6,'Font={fallback:"symbol",register:[],message:"<b>No jsMath TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',365,'></b><br/>"+"Using',2019,'.  This',2021,'print_message',':"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message',':"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of',2030,'Test1',263,'_6d,n,_6f,_70','){if(n==null){n=124;}if(','_6f==null){_6f=2;}if(_70==null){_70="";}var wh1=',6,'BBoxFor("<span style=\\"font-family',': "+_70+_6d+", serif\\">"+',6,'TeX[_6d][n',1280,'var wh2=',6,2040,': serif\\">"+',6,'TeX[_6d][n',1280,'return (wh1.w>_6f*wh2','.w&&wh1.h!=0);},','Test2',263,'_73,n,_75,_76',2037,'_75==null){_75=2;}if(_76==null){_76="";}var wh1=',6,2040,': "+_76+_73+", serif\\">"+',6,'TeX[_73][n',1280,'var wh2=',6,2040,': serif\\">"+',6,'TeX[_73][n',1280,'return (wh2.w>_75*wh1',2053,'CheckTeX',338,'var wh=',6,2040,': jsMath-',118,96,'\\">"+',6,432,'1',1280,6,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(',6,'nofonts&&(',1201,1712,'!="MacPPC"||',6,25,'!="Mozilla"||!',6,325,1631,'(1.5))){wh=',6,2040,': ',118,96,'\\">"+',6,432,'1',1280,6,2088,'"));',0,6,'nofonts){',6,1838,'BaKoMa-fonts.js");}}},Check',338,'var _7a=',6,517,';this.CheckTeX();if(',6,2117,'if(_7a.autofont','||','_7a.font=="tex"){','_7a.font=this.fallback;if(_7a.warn){',6,'nofontMessage=1;_7a.warn=0;',6,509,544,'0);if(',6,1,'.NoFontMessage','){',6,1,2140,'();}',27,'this.',640,'(',893,');}}}}',27,2128,'){_7a.font="','tex";}if(',2130,'return;}}if(',6,'noImgFonts',2154,'unicode";}if(_7a.font=="unicode"){var _7b=({Win32:"pc",MacPPC:"mac"})[',1201,1712,']||"unix";',6,1838,'fallback-"+_7b+".js");',6,'Box.TeXnonfallback=',6,'Box.TeX;',6,'Box.TeX=',6,'Box.TeXfallback;return;}',0,'_7a.print&&_7a',1853,272,'PrintMessage((',6,325,1729,'&&',6,517,'.alpha)?this.',2028,'+this.',2031,275,2028,');}if(',6,325,'waitForI'],
  ['mages){','jsMath.','Script','.Push(',1,2,',"WaitForImage",',1,'blank);}if(_7a.font=="symbol"){',1,'Setup.',2,'("jsMath-fallback-symbols.js");',1,'Box.TeXnonfallback=',1,'Box.TeX',';',1,16,'=',1,'Box.TeXfallback;','return;}',1,'Img.SetFont','({cmr10',':["all"],','cmmi10',27,'cmsy10',27,'cmex10',27,'cmbx10',27,'cmti10:["all"]});',1,'Img.LoadFont','("cm-fonts");},Message',':function(','_7c','){if(',1,'Element("','Warning")){','return;}var ','div=',1,10,'DIV("','Warning','",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7c+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',1,'Controls.','Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',61,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',1,'Font.','HideMessage',59,'Remove this font warning message',62,'Hide this Message',64,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',68,':function(){','var _7e=',1,44,51,'");if(_7e){_7e','.style.display="none";}},','PrintMessage',40,'_7f',42,1,44,'PrintWarning','")){',46,'div=',1,10,50,90,52,54,'_7f+"</',75,'Register',40,'_81,_82',42,'typeof (_81)=="string"){_81={name:_81};}if(!',1,10,'inited&&!_82){','this.register','[',110,'.length]=_81;',46,'_83=_81.name;var _84=_83.replace(/10$/,"");var _85=',1,'TeX.fam.length;if(','_81.prefix','==null){',118,'="";}if(!_81.style){_81.style="font-family: "+',118,'+_83+", serif";}if(!','_81.styles','){',124,'={};}','if(!','_81.macros','){',129,127,1,'TeX.fam[_85]=_83;',1,'TeX.famName[_83]=_85;',129,'[_84]=["HandleFont",_85];',1,'Add(',1,'Parser.prototype.macros,',129,');',124,'[".typeset ."+_83]=_81.style;',1,10,'Styles(',124,');if(',1,'initialized){',1,2,'.Push(',1,'Setup,"TeXfont",_83);}var _86=!',1,'nofonts&&_81.test(_83,_81.testChar,_81.testFactor,',118,151,'_86&&',1,'Controls.cookie.font=="','tex"){if(_81.tex){_81.tex(_83,_85,_81);}',23,'if(!_86&&',1,57,'cookie.warn&&',1,165,'tex"&&!',1,'nofonts){if(!',1,44,45,'this.Message(this.extra_message);}var _87=',1,44,'ExtraFonts");if(_87',42,'_87.innerHTML','!=""){',185,'+=",";}',185,'+=" "+',118,'+_83;}}if(',1,165,'unicode"){if(_81.fallback){_81.fallback(_83,_85,_81);}',46,'_88={};_88[_83]=["all"];',1,25,'(_88);',1,38,'(_83',151,1,'initialized){',1,2,'.Push(',1,'Img,"Scale");',1,2,'.Push(',1,'Img,"UpdateFonts");}},LoadRegistered',77,'var i=0;while(i<',110,'.length){this.',102,'(',110,'[i++],1);}',110,'=[];},Load',40,'_8a){',1,10,2,'(this.URL(_8a));},URL',40,'_8b){return ',1,'Img.root+_8b+"/def.js";}};',1,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',77,'this.panel=',1,10,50,'panel",{display:"none"});if(!',1,'Browser.msieButtonBug){this.Button();}else{setTimeout("',1,57,'Button()",500);}},',58,77,1,'Translate.Cancel();if(','this.loaded','){this.Main();}else{',1,2,'.delayedLoad(',1,'root+"jsMath-controls.html");}},Button',77,'var _8c=',1,10,50,'button",{});_8c.title=" Open ',61,' ";_8c.innerHTML="<span onclick=\\"',1,57,58,'()\\">jsMath</span>";if(!',1,'Global.','isLocal&&!',1,'noShowGlobal){_8c.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global ',58,' \\" "+"onclick=\\"',1,276,'Show(1)\\">Global&nbsp;</span>";}if(_8c.offsetWidth<30){_8c.style.width="auto";}if(!','this.cookie','.button){_8c',83,'MoveButton',77,'if(!this.button){this.button=',1,44,'button");}','this.button.style.visibility="','hidden";',294,'visible";},GetCookie',77,'if(','this.defaults',119,300,127,1,140,300,',',285,');this.userSet={};var _8d=',1,'document.cookie',';if(',1,'window.location','.protocol.match(this.',239,')){_8d=this.','localGetCookie','();','this.isLocalCookie','=1;}if(_8d.match(/jsMath=([^;]+)/)){var _8e=RegExp.$1.split(/,/);for(var i=0;i<_8e.length;i++){var x=_8e[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',285,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},',318,77,'return unescape(',1,314,'.search.substr(1));},SetCookie',40,'_91){var _92=[];','for(var id in ',285,42,300,'[id]==null||',285,'[id]!=',300,'[id]){_92[_92.length]=id+":"+',285,'[id];}}_92=_92.join(",");if(',320,42,'_91==2){return "','jsMath="+escape(','_92);}this.','localSetCookie','(_92,_91);}else{if(_92==""){_91=0;}if(','this.cookiePath','){_92+="; ','path="+',350,';}if(','this.cookieDomain',351,'domain="+',355,';}if(',285,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',362,'*7,M',362,'*30,Y',362,'*365};var exp=new Date;exp.setTime(exp.getTime()+',285,'.keep.substr(','0,1)*ms[',285,371,'1,1)]);_92+="; expires="+exp.toGMTString();}if(_92',186,1,311,'="jsMath="+_92;var _96=',1,311,';if(_91&&!_96.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',348,40,'_97,_98){if(!_98){',46,'_99=String(',1,314,').replace(/\\?.*/,"");if(_97',186,'_99+="?',346,'_97);}if(_99!=',1,314,'.href){this.Reload(_99);}},Reload',40,'url){if(!',256,'){',23,256,'=0;',1,276,'ClearCache();if(url){',1,314,'.replace(url);}else{',1,314,'.reload();}}};',1,'Click={CheckClick',40,'_9b){if(!_9b){_9b=',1,'window.event;}if','(_9b.altKey){',1,57,58,'();}},CheckDblClick',40,'_9c){if(!_9c){_9c=',1,419,'(!',1,'Click.DblClick){',1,'Extension.Require("double-click",1);var _9d=_9c;_9c={};',332,'_9d){_9c[id]=_9d[id];}}',1,2,'.Push(',1,'Click,"DblClick",[_9c,this.alt]);}};',1,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',443,'778',443,'694',443,'667',443,'75',443,'722',443,'778',443,'722',443,'778',443,'722',443,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',469,'833',469,'833',469,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',469,'5',469,'5,0.628],[0.5',469,'5,0.568],[0.75',469,'444,0,0.17],[0.5',469,'722',477,'778',477,'5,0.528,0.0972],[0.903,0.683],[1.01',443,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',497,',0.694,0,{lig:{"96":','60}}],[0.5',469,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',508,'778',469,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',518,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',479,'333',498,'lig:{"45":','123}}],[',523,'],[0.5',518,'5,0.644','],[0.5,0.644],[0.5,0.','644',533,'644',533,'644',533,'644],[0.5,0.644],[',497,477,'278,0.431',479,'278,0.5',479,'778',',0.367,-0.133],[','0.472,0.5',479,'472',502,'62}}],[0.778',469,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',558,'79',558,'71',558,'85',558,'81',558,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',443,'722',443,'764',556,'88',558,'87',558,'65',558,'86',558,'89":-','0.0278}}],[0.','681',443,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',443,'75',443,'361',556,'73":',585,'514',443,'778',556,'79',558,'67',558,'71',558,'81":-',585,'625',556,569,'917',443,'75',443,'778',556,'88',558,'87',558,'65',558,'86',558,'89":-',585,'681',556,'65','":-0.0833,"','111',558,'101',558,'97',558,'46',633,'44":-0.','0833}}],[0.','778,0.683',479,'736',556,'116',558,'67',558,'79',558,'71',558,'85',558,'81',558,569,'556',443,'722',556,'121',558,'101',633,'111',633,'114',633,'97',633,'65',633,'117":-0.',643,'75',443,'75',',0.683,0,{ic:0.','0139,',590,'1.03',682,'0139,',590,'0.75',556,'79',558,'67',558,'71',558,'81":-',585,'75',682,'025,krn:{"101',633,'111',633,'114',633,'97',633,'65',633,677,643,'611',443,'278',518,'5',469,'278',518,'5',469,'278,0.668],[0.','278',502,'92}}],[0.5',498,'krn:{"118',558,'106":0.0556,"121',558,'119":-',585,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',498,'krn:{"104',558,'107":-',585,'556',469,'444',477,'306',465,466,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',585,'556',514,'116',558,'117',558,'98',558,'121',558,'118',558,'119":-',585,723,'306,0.668',479,'528',514,'97','":-0.0556,"','101',558,'97',558,'111',558,'99":-',585,'278',469,'833',498,'krn:{"116',558,'117',558,'98',558,'121',558,'118',558,'119":-',585,'556',498,'krn:{"116',558,'117',558,'98',558,'121',558,'118',558,'119":-',585,'5,0.431',',0',736,734,'431,0.194',736,'528,0.431',479,'392',477,'394',477,'389,0.615,0,{krn:{"121',558,'119":-',585,'556',498,'krn:{"119":-',585,'528',',0.431,0,{ic:0.',753,'97',776,'101',558,'97',558,'111',558,'99":-',585,'722',836,753,'101',558,'97',558,'111',558,'99":-',585,'528',477,'528',751,'ic:0.',753,'111',558,'101',558,'97',558,'46',633,'44":-0.',643,'444',477,'5',836,'0278,',527,'124}}],[1',836,'0278}],[0.','5',469,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',682,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',643,'833',556,'127":0.167}}],[0.','763',682,879,'krn:{"127":0.0833}}],[0.','694',556,893,'742',682,'0757,',897,'831',682,'0812,krn:{"61',776,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',682,'0576,',897,'583',682,'139',889,910,'667',589,897,'612',682,'11,krn:{"61',776,909,910,'772',682,'0502,',897,'64',836,'0037,','krn:{"127":',585,'566',',0.694,0.194,{ic:0.','0528,',897,'518',751,'ic:0.0556}],[0.444',465,'0378,krn:{"',909,910,'406',498,'krn:{"127":0.0556}}],[0.','438',939,'0738,',897,'497',751,'ic:0.0359',',',951,'469',465,879,897,'354',498,951,'576',477,'583',469,'603',751,936,585,'494',836,'0637,krn:{"',909,'0278}}],[0.','438',939,'046,',936,'0.111}}],[0.','57',836,'0359}],[0.','517',751,897,'571',836,'0359,krn:{"59',776,'58":-0.',910,'437',836,'113,krn:{"',909,980,'54',836,'0359,',936,585,'596,0.694,0.194,{',897,'626',751,951,'651',939,'0359,',936,985,'622',836,988,'466',498,897,'591',',0.694,0,{',897,'828',836,883,'517',751,897,'363,0.431,0.0972,{ic:0.0799,',897,'654',751,936,'0.0833}}],[1',548,'1',548,'1',548,'1',548,497,',0.464,-0.0363],[',497,1047,'0.5,0.465,-0.0347],[',1050,'0.5',477,'5',477,'5',477,815,479,815,479,815,',0.194',533,819,533,'431',479,'278,0.106],[',523,479,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',776,'65',776,'77',776,'78',776,'89":0.0556,"90":-0.',910,'778',1073,1050,'0.531',465,'0556,',897,'75',556,'127":','0.','139}}],[0.','759',682,'0502,',897,'715',682,'0715,krn:{"61',558,909,643,'828',682,879,951,'738',682,'0576,',897,'643',682,'139',889,643,'786',589,897,'831',682,'0812,krn:{"61',776,909,910,'44',682,'0785,',936,985,'555',682,'0962',889,'167}}],[0.','849',682,'0715,krn:{"61',776,909,910,'681',556,1093,585,'97',682,'109,krn:{"','61',776,909,643,'803',682,1150,'61',633,'61',558,909,643,'763',682,879,897,'642',682,'139',889,643,'791,0.683,0.194,{',897,'759',682,'00773,',897,'613',682,'0576,krn:{"61',776,909,643,'584',682,'139,krn:{"61',558,909,643,'683',682,1150,'59":-0.111,"',996,'111,"61',776,1093,585,'583',682,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',682,'139',1203,'828',682,'0785,krn:{"61',633,'61',558,909,643,'581',682,'222',1203,'683',682,'0715,krn:{"61',776,909,643,'389,0.75],[0.389',506,'0.389',506,'1,0.358,-0.142],[',1230,'0.417',1025,936,985,'529',477,'429',469,'433',498,951,'52',514,'89":0.0556,"90',776,'106":-0.111,"102":-0.167,"',893,'466',498,951,'49',939,'108,krn:{"',909,1137,'477',751,958,',',936,585,'576',514,'127":-',585,'345,0.66],[0.412,0.66',',0.194,{ic:0.','0572,krn:{"59',776,996,910,'521',465,'0315}],[0.298',465,'0197,',897,'878',477,'6',477,'485',498,951,'503',751,897,'446',751,958,',',897,'451',836,879,'krn:{"',909,910,'469',498,951,'361,0.615,0,{',897,'572',498,936,585,'485',836,'0359,',936,585,'716',836,'0269,',897,'572',498,936,585,'49',751,958,',',951,'465',836,'044,',951,'322',498,936,585,'384',751,897,'636',751,936,985,'5,0.714,0,{ic:0.154}],[',497,465,'399}]],cmsy10:[[',522,497,',0.444,-0.0556],[',522,1050,522,'0.5,0.444,-0.0556],[',522,522,522,522,522,522,522,'1',506,1352,1352,'0.778',1047,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1367,1367,1367,1367,1367,'],[0.778',548,'0.778,0.483,-0.0169],[0.778',1073,'0.778',1073,'1',1073,'1',1073,'0.778',1073,'0.778',1073,'1',548,'1',548,'0.5',506,'0.5',506,'1',548,'1',506,'1',506,'0.778',1047,'1',548,'1',548,'0.611',506,'0.611',506,'1',548,'1',506,'1',506,'0.778',477,'275,0.556],[1',477,'667',1073,'0.667',1073,'0.889',506,'0.889',506,'0',506,'0',548,'0.556',469,'556',469,'667',477,'5',508,'722',469,'722',469,'778',469,'778',469,'611',469,'798',556,'48":0.','194}}],[0.657',682,'0304',',krn:{"48":0.',1095,'527',682,'0583',1457,1095,'771',682,'0278',1457,643,'528',682,'0894',1457,'111}}],[0.','719',682,'0993',1457,1473,'595',',0.683,0.0972,{ic:0.','0593',1457,1473,'845',682,'00965',1457,1473,'545',682,'0738,krn:{"48":',585,'678',1480,'185',1457,1137,'762',682,'0144',1457,910,'69',556,1453,'139}}],[1.2',556,1453,1095,'82',682,'147',1457,643,'796',682,1466,1457,1473,'696',682,'0822',1457,643,'817,0.683,0.0972,{krn:{"48":',985,'848',556,1453,643,'606',682,'075',1457,1095,'545',682,'254,krn:{"48":',585,'626',682,'0993',1457,643,'613',682,'0822,krn:{"48":',585,'988',682,'0822',1457,643,'713',682,'146',1457,1095,'668',1480,'0822',1457,643,'725',682,'0794',1457,1095,'667,0.556],[0.',1569,1569,1569,1569,'611',469,'611',469,'444',518,'444',518,'444',518,'444',518,'5',518,'5',518,'389',518,'389',518,'278',518,'5',518,'5',518,'611',518,'5',518,'278',506,'0.833,0.04,0.96],[0.75',443,'833',443,'417',939,'111}],[0.',1569,'667,0.556',1367,1367,'],[0.444',506,'0.444',506,'0.444',506,'0.611',506,'0.778,0.694,0.13','],[',1625,'],[',1625,'],[',1625,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1633,'17}],[0.417',1633,'104}],[0.417',1633,'105}],[0.','472',1633,'106}],[0.472',1633,'107}],[0.472',1633,'108}],[0.472',1633,'109}],[0.583',1633,'110}],[0.583',1633,1612,'472',1633,'68}],[0.472',1633,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1659,'rep:13}}],[0.578',1633,'46}],[0.578',1633,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1667,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1671,'33}],[0.528',1671,'34}],[0.528',1671,'35}],[0.583',1671,'36}],[0.583',1671,'37}],[0.583',1671,'38}],[0.583',1671,'39}],[0.75',1671,'40}],[0.75',1671,'41}],[0.75',1671,'42}],[0.75',1671,'43}],[1.04',1671,'44}],[1.04',1671,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1699,'49}],[0.583',1699,'50}],[0.583',1699,'51}],[0.639',1699,'52}],[0.639',1699,'53}],[0.639',1699,'54}],[0.639',1699,'55}],[0.806',1699,'56}],[0.806',1699,'57}],[0.806',',0.04,2.96],[','0.806',1719,'1.28',1719,'1.28',1719,'0.811',1667,'n:30}],[0.811',1667,'n:31}],[0.875',1667,'delim:{top:','48,bot:64,rep:66}}],[0.875',1667,1732,'49,bot:65,','rep:67}}],[0.','667',1667,1732,'50,bot:52,rep:54}}],[0.667',1667,1732,'51,bot:53,rep:55}}],[0.667',1667,'delim:{bot:','52,rep:54}}],[0.667',1667,1746,'53,rep:55}}],[0.667',1659,'top:50,rep:54}}],[0.667',1659,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1755,'57,mid:61,bot:59,rep:62',1755,'56,bot:58,rep:62',1755,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1763,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1659,'top:120,','bot:121,rep:63}}],[0.','875',1667,1732,'56,bot:59,',1767,'875',1667,1732,'57,bot:58,',1767,'875',1659,'rep:66}}],[0.875',1659,1737,'611',1667,'n:28}],[0.611',1667,'n:29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1799,',1,{n:79}],[1.51',1794,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1795,'90',1792,'91',1792,'92',1792,'93',1792,'94',1792,'95}],[1.44',1794,'1.28',1794,1797,1799,1799,1799,1799,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1794,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1827,'102',1829,'103}],[1.44,0.75],[0.472',1667,'n:20}],[0.472',1667,'n:21}],[0.528',1667,'n:22}],[0.528',1667,'n:23}],[0.528',1667,'n:24}],[0.528',1667,'n:25}],[0.667',1667,'n:26}],[0.667',1667,'n:27}],[1',1633,'113}],[1',1667,'n:114}],[1',1671,'115}],[1',1699,'116}],[1.06,0,1.8,{',1732,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1659,'top:126,','bot:127,rep:119','}}],[0.667',1659,1770,'rep:63}}],[0.667',1659,1771,'45,0.12],[0.',1870,1870,1870,'778',1659,1862,'rep:119}}],[0.778',1659,1863,'}}]],cmti10:[[0.627',682,'133}],[0.818',443,'767',682,'094}],[0.692',443,'664',682,'153}],[0.743',682,'164}],[0.','716',682,'12}],[0.','767',682,1612,'716',682,'0599}],[0.767',682,1612,'716',682,'103}],[0.','613',939,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',467,'562',939,1906,'588',939,1906,'882',939,1906,'894',939,1906,'307',836,'0767}],[0.332',751,'ic:0.0374}],[0.511',469,'511',465,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',465,'108',1932,'562,0,{ic:0.',1906,'831',469,'46,0,0.17],[0.537',939,1640,'716',836,'0751}],[0.716',836,'0751',1932,'528,0.0972,{ic:0.0919}],[0.883',682,1895,'985',682,1895,'767,0.732,0.0486,{ic:0.094}],[0.256',498,499,'256,"76":-0.321}}],[0.307',465,'124,lig:{"96":60}}],[0.514',465,'0696}],[0.818',939,'0662}],[0.769',469,'818,0.75,0.0556',',{ic:0.136}],[0.','767',465,'0969}],[0.307',465,'124,krn:{"63":0.102,"33":0.102',516,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',1932,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',479,'358',836,'0283,',527,'123}}],[0.307,0.106],[0.511',1976,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',1988,1988,1988,'.194',1988,1988,1988,'.194',1988,1988,1968,'307',836,'0582}],[0.307',751,'ic:0.0582}],[0.307,0.5',1268,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1932,'5',479,'511',465,'122,lig:{"96":62}}],[0.767',465,'096}],[0.743',556,'110":-','0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-0.0256,"','84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',682,1906,'716',682,'145}],[0.755',682,'094,krn:{"88','":-0.0256,"','87',2027,'65',2027,'86',2027,'89','":-0.0256}}],[0.','678',682,1895,'653',682,'133,krn:{"111','":-0.0767,"','101',2042,677,'0767,"114',2042,'97',2042,'65":-0.102,"','79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',682,'0872}],[0.743',682,1892,'386',682,'158}],[0.525',682,'14}],[0.769',682,'145,krn:{"',2051,'627',556,2018,'897',682,1892,'743',682,1892,'767',682,'094,krn:{"88',2027,'87',2027,'65',2027,'86',2027,'89',2035,'678',682,'103,krn:{"65":-0.0767}}],[0.767,0.683',1268,'094}],[0.729',682,'0387,krn:{"110":-',2017,2018,'562',589],
  ['ic:0.12','}],[0.','716,0.683',',0,{ic:0.','133',',krn:{"','121','":-0.0767,"','101":-0.0767,"111":-0.0767,"114":-0.0767,"97":-0.0767,"117":-0.0767,"65":-0.0767}}],[0.','743,0.683',3,'164',1,'743,0.683',3,'184',5,'111',7,'101',7,'117',7,'114',7,'97',7,'65":-0.','102,"','79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','999,0.683',3,'184',5,27,'0767','}}],[0.743,0.683',3,'158',5,29,'743,0.683',3,'194',5,8,'613,0.683',3,'145','}],[0.307,0.','75,0.25',',{ic:0.','188',1,'514',',0.694',3,'169',49,50,51,'105','}],[0.511,0.','694',3,'0665',49,'668',3,'118',49,'694',3,'124,lig:{"96":92}}],[0.511,0.431',3,'0767}],[0.','46',55,3,'0631',',krn:{"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','46,0.431',3,'0565',80,'511',55,3,'103',',krn:{"108":0.0511}}],[0.','46,0.431',3,'0751',80,'307',55,',0.194,{ic:0.','212',5,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.','46',',0.431,0.194,{ic:0.0885}],[0.','511',55,3,35,49,'655',3,'102',49,'655',96,'145',1,'46',55,3,'108',1,'256',55,3,'103',89,'818,0.431',3,75,'562,0.431',3,35,5,'39":-0.102}}],[0.511,0.431',3,'0631',80,'511,0.431',96,'0631',80,'46',102,'422,0.431',3,'108',80,'409,0.431',3,'0821',1,'332,0.615',3,'0949',1,'537,0.431',3,75,'46,0.431',3,'108',1,'664,0.431',3,'108',89,'464,0.431',3,'12',1,'486',102,'409,0.431',3,'123',62,'431',3,'0921',',lig:{"45":124}}],[1.','02,0.431',3,178,62,'694',3,'122',62,'668',3,'116',62,'668',3,'105}]],cmbx10:[[0.692',',0.686],[0.','958',195,'894',195,'806',195,'767',195,'9',195,'831',195,'894',195,'831',195,'894',195,'831',195,'671',55,3,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',221,'958',221,'958',221,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',232,'694',232,'632',232,'694',232,'596],[0.869',221,'511,0,0.17],[0.597',221,'831',229,'894,0.444',232,'542,0.0972],[1.04,0.686],[1.17',195,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',221,'958',55,',0.194',232,'75,0.0556],[0.','958,0.',261,'894',221,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447,0.',50,'],[0.447,0.',50,232,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383,0.444,0,{lig:{"45":123}}],[',274,232,50,232,'644',232,'644',232,'644',232,'644',232,'644',232,'644',232,'644',232,'644',232,'644',232,'644],[0.319',229,'319',231,'],[0.35,0.5',275,'894,0.391,-0.109],[0.543,0.5',275,'543',254,'62}}],[0.894',221,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',314,'79',314,'71',314,'85',314,'81',314,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',195,'831',195,'882',312,'88',314,'87',314,'65',314,'86',314,'89','":-0.0319}}],[0.','756',195,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',195,'9',195,'436',312,'73','":0.0319}}],[0.','594',195,'901',312,'79',314,'67',314,'71',314,'81',341,'692',312,325,'1.09',195,'9',195,'864',312,'88',314,'87',314,'65',314,'86',314,'89',341,'786',312,27,'0958,"111',314,'101',314,'97',314,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',275,'862',312,'116',314,'67',314,'79',314,'71',314,'85',314,'81',314,325,'0.639',195,'8',312,'121',314,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',195,'869,0.686',3,'016,',345,'1.19,0.686',3,'016,',345,'0.869',312,'79',314,'67',314,'71',314,'81',341,'869,0.686',3,'0287',5,418,'703',195,'319,0.',50,'],[0.603',221,446,50,232,'694],[0.319',221,'319',254,'92}}],[0.559',252,'118',314,'106":0.0639,"121',314,'119',341,'639',55,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',252,'104',314,'107',341,'639',221,'527',229,'351',55,3,219,100,'575',231,51,'016',5,'106',353,'639',267,'116',314,'117',314,'98',314,'121',314,'118',314,'119',341,'319',221,'351',55,275,'607',267,'97":-0.0639,"101',314,'97',314,'111',314,'99',341,'319',221,'958',252,'116',314,'117',314,'98',314,'121',314,'118',314,'119',341,'639',252,'116',314,'117',314,'98',314,'121',314,'118',314,'119',341,'575,0.444,0',468,'639',231,468,'607',231,'],[0.474',229,'454',229,'447,0.635,0,{krn:{"121',314,'119',341,'639',252,'119',341,'607,0.444',3,'016',5,'97":-0.0639,"101',314,'97',314,'111',314,'99',341,'831,0.444',3,'016',5,'101',314,'97',314,'111',314,'99',341,'607',229,'607',231,51,'016',5,'111',314,'101',314,'97',314,394,'511,0.444',232,'444',3,'0319',179,'15,0.444',3,611,1,'575',55,232,'694',232,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_9f){for(var _a0 in _9f){if(!','this.update[_a0',']){',627,']=[];}',627,']=',627,'].concat(_9f[_a0]);}},AddFont',625,'_a1,def){if(!',623,'[_a1]){',623,'[_a1]={};}','jsMath.Add(',623,'[_a1],def);},UpdateFonts',':function(){','var _a3=this.update;','if(!this.loaded){','return;}var ','_a4=this[','jsMath.Img.fonts','[this.best]];','for(var _a5 in _a3){','for(var i=0;i<','_a3[_a5].length;i++){var c=_a3[_a5][i];if(c=="all"){for(c in ','jsMath.TeX[','_a5]){',654,'_a5][c].img','={};}}else{',654,657,'={};}}}this.update={};},BestSize',644,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',664,'i]]+2*m)/3){','return ','i-1;}m=',664,'i]];}',671,'i-1;},Scale',644,646,'return;}this.best=this.BestSize();this.em=',623,'.w[',666,650,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',684,'-1)<0.12){',684,'=1;}},URL',625,'_ab,_ac,C){var _ae=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_ac!=""){_ac+="/";}','return this.','root+_ab+_ae+_ac+C;},LoadFont',625,'_af){',646,'this.Init();}jsMath.Setup.Script(this.URL(_af,""));},Init',644,'if(',693,'print||',693,'stayhires','){',693,'print=',693,706,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',713,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',693,'alpha=0;}}var _b0="0123456789ABCDEF";this.HexCode=[];',652,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_b0.charAt(h)+_b0.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',625,'m){var n=5;if(m<0){n++;}',686,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',671,'s+"em";},Spacer',625,'w){if(w==0){return "";}',671,717,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',625,'w,h,d,_bb){var _bc="";var _bd="";if(_bb){_bd+="border-',735,'w)+" solid;";if(',717,'widthAddsBorder){w=0;}}if(w==0){if(',717,'blankWidthBug){_bd+="width:1px;";_bc="<',734,'right:-1px\\"></span>";}}else{_bd+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_bb&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_bd+="height:"+H+";";}if(',717,'mozInlineBlockBug){d=-h;}if(',717,'msieBorderBug&&!_bb){d-=jsMath.d;}if(d){_bd+="','vertical-align:"+','this.Em(-d);}',671,'_bc+"<span class=\\"blank\\" ','style=\\""+','_bd+"\\"></span>";},Rule',625,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',695,'Blank(w,h,0,1);},Class',625,'_c1,_c2){return "<span class=\\""+_c1+"\\">"+_c2+"</span>";},Place',625,'_c3',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _c6','="<span style=\\"position',': relative',';";if(x){_c6+=" margin-',735,'x)+";";}if(y){_c6+=" ','top:"+this.Em','(-y)+";";}_c3=_c6+"\\">"+_c3','+"</span>";}',671,'_c3;},PlaceSeparateSkips',625,'_c7',765,'if(y){_c7',767,768,'; ',772,'(-y)+";"+"\\">"+_c7',774,'if(x){_c7=this.Spacer(x)+_c7',';}return ','_c7;},PlaceAbsolute',625,'_ca',765,'_ca',767,':absolute','; ',735,'x)+"; "+"',772,'(y)+";\\">"+_ca+"&nbsp;</span>";',671,'_ca;},Absolute',625,'_cd,w,h,d,y,H){if(y!="none"){',686,'y)<0.0001){y=0;}_cd',767,795,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_cd','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_cd+=this.Blank(w,h-d,d);if(',717,'msieAbsoluteBug){_cd',767,':relative',812,774,'_cd',767,817,';"+" width: "+',810,'Em(w)+";"+" height: "+',810,'Em(H)+";"+',717,'msieInlineBlockFix+"\\">"+_cd+"</span>";',671,'_cd;}};','jsMath.Box','=function(','_d3,_d4,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_d4;this.format=_d3;};',641,832,',{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',625,'_d8,_d9,_da,_db,a,d){var _de=','jsMath.Typeset.AddClass(','_d9,_d8);_de=','jsMath.Typeset.','AddStyle(','_da,_db,_de);var BB','=jsMath.EmBoxFor(','_de);var TeX=',846,'TeX(_da,_db);var bd=((_d9=="cmsy10"||_d9=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',840,'text",_d8,BB.w,BB.h-bd,bd);box.style=_da;box.size=_db;','box.tclass','=_d9;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',625,'C,_e4,_e5,_e6){var c=',654,'_e4][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_e4,C,',846,'StyleSize(_e5,_e6));}var _e8=',846,'TeX(_e5,_e6).scale;var h=c.h+',654,'_e4].dh;',853,840,'text",c.c,c.w*_e8,h*_e8,c.d*_e8);box.style=_e5;box.size=_e6;if(c.tclass){',856,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_e8*jsMath.h;box.bd=_e8*jsMath.d;}}else{',856,'=_e4;box.bh=_e8*',654,'_e4].h;box.bd=_e8*',654,'_e4].d;if(',717,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',862,'TeXfallback',625,'C,_ec,_ed,_ee','){var c=',654,'_ec][C];if(!c.tclass){c.tclass=_ec',872,'){',695,'TeXnonfallback(',897,');}if(c.h!=null&&c.a',870,'a=c.h-1.1*jsMath.TeX.x_height;}',853,'this.Text(c.c,c.tclass,_ed,_ee,c.a||0,c.d||0);var _f1=',846,'TeX(_ed,_ee).scale;if(c.bh',858,'bh=c.bh*_f1;box.bd=c.bd*_f1;}else{var h=box.bd+box.bh;var _f3=',844,856,',box.html);_f3=',846,847,'_ed,_ee,_f3);box.bd',849,'_f3+',810,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_f1==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',892,'>";}',862,'TeXIMG',625,'_f4,C,_f6){var c=',654,'_f4][C];if(c.img.size!=null&&c.img.size==_f6&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',647,'_f8=(',623,'.scale!=1);var id=',933,'+_f6-4;if(id<0){id=0;_f8=1;}else{if(id>=',649,'.length){','id=',649,'.length-1;_f8=1;}}var _fa=',623,'[',649,'[id]];var img=_fa[_f4][C];var _fc=1/',623,'.w[',649,'[id]];if(id!=',933,'+_f6-4){if(c.w!=null){_fc=c.w/img[0];}else{_fc*=',649,'[_f6]/',649,'[4]*',649,'[',933,']/',649,'[id];}}var w=img[0]*_fc;var h=img[1]*_fc;var d=-img[2]*_fc;var v;var _101=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',810,'Em(c.w-w)+";";var _102="";C=',623,'.HexCode[C];if(!_f8&&!',693,'scaleImg){if(2*w<h||(',717,'msieAlphaBug&&',693,'alpha)){_102="height',':"+(img[1]*',717,'imgScale',')+"px;";}_102+=" width:"+(img[0]*',717,978,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',717,'msieAlphaBug&&',693,975,':"+',810,'Em(h*',717,978,')+";";}_102+=" width:"+',810,'Em(w*',717,978,')+";";v=',810,'Em(d);}var _103=(Math.abs(d)<0.01&&!',717,'valignBug)?"":" ',751,'v+";";var URL=',623,'.URL(_f4,',649,'[id],C);if(',717,'msieAlphaBug&&',693,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',755,717,'msieCenterBugFix+_102+_103+_101','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1012,'URL+"\\" ',755,717,1016,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_f6;c.img.best=',933,';},Space',625,'w){',671,840,'html",',810,'Spacer(w),w,0,0);},Rule',625,758,'var html=',810,'Rule(w,h);',671,840,'html",html,w',',h,0);},GetChar',625,'code,font){var c=',654,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',870,'tclass=font;}if(!c.computedW){c.w',849,844,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',868,'c.computedW=1',788,'c;},DelimBestFit',625,'H,c,font,','_10f){if(c==0&&font','==0){return null;}','var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_10f.charAt(1)=="S");var isS=(_10f.charAt(0)=="S");while(c!=null){C=',654,'font][c];','if(C.h==null){C',1054,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1072,',"SS",0.5*h];}if(isS&&0.7*h>=H',1072,',"S",0.7*h];}if(h>=H||C.n==null',1072,',"T",h];}c=C.n',788,'null;},DelimExtendRelative',625,1060,'a,_118){var C=',654,1068,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',844,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1092,')));H=2*n*(',1092,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1096,');if(_118){y','=0;}else{','y=H/2+a;}var Y=y;',1035,810,'Place(',844,'top.tclass,top.c),0,','y-top.h)+',810,1110,844,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',810,1110,844,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',652,'n;i++){','html+=',810,1110,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1092,'));if(top.h+top.d<0.9*(',1092,')){n=Math.max(1,n);}H=n*(',1092,1101,1096,');if(_118){y',1106,'y=H/2+a;}var Y=y;',1035,810,1110,844,1112,'y-top.h);dx=(w-top',1124,1128,810,1110,844,1117,'w+bot.w)/2,Y-(H-bot.d));}if(_118){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',625,1060,'a,_131){var Font=',654,1065,'C=Font[c];var html;',1087,1094,'-0.05)-(',1096,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1171,1101,1102,'-0.05)+(',1096,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',844,1112,'0);var h=',1171,';var y=top.d-0.05+rep.h;var ext=',844,'font,rep.c);',652,'n;i++){',1128,1179,'ext,0,y+i*h);}',1128,1179,844,1122,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1102,'-0.05;',652,'n;i++){',1128,1179,'ext,0,y+i*h);}',1128,1179,844,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1132,1169,1171,'));H=n*(',1171,1101,1096,'-0.05);html=',1179,844,1112,'0);var h=',1171,';var y=top.d-0.05+rep.h;var ext=',844,1090,652,'n;i++){',1128,1179,'ext,0,y+i*h);}',1128,1179,844,1207,'var w=top.w;if(_131){h=top.h;y',1106,'h=H/2+a;y=h-top.h;}html=',810,'Absolute(html,w,','Font.h,"none",-y,top.h);',1157,'Delimiter',625,'H,_147,_148,_149){var size=4;var TeX=',846,'TeX(_148,size);if(!_147){',695,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_147[','2],_147[1],_148);if(CFSH==null||CFSH[3]<H){',1248,'4],_147[3],_148);}if(CFSH==null){',695,1246,'if(CFSH[2]==""){',695,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_149);}',853,832,'.TeX(',1257,'CFSH[2],size',').Styled();if(_149){box.y=-',654,'CFSH[1]].dh',860,'y=-((box.h+box.d)/2-box.d-',1258,');}',686,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1264,');}',862,'GetCharCode',625,'code){var ',1064,'code[0]];var Font=',654,1065,'c=Font[code[1]];',1046,'[1],4);}if(c.w',870,'w',849,844,1052,';}if(c.font',870,'font=font',788,'c;},AddClass',625,'_152,html',',font){if(_152==null){_152=font',788,844,1300,');},LayoutRelative',625,'size,_156,_157,_158,_159,_15a){if(_157==null){_157=[];}if(_158==null){_158=[];}if(_159==null){_159=[];}var _15b=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_15f=-1000;var bh=_15f;var bd=_15f',';var i;var j;var row;for(i=0;i<','_156',667,'if(_159[i]==null){_159[i]=0;}row=_156','[i];H[i]=jsMath.h*','_15b',';D[i]=jsMath.d*','_15b',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_159[_156','.length]==null){','_159[_156','.length]=','0;}if(bh==_15f){bh=0;}if(bd==_15f){bd=0;}','var HD=(jsMath.hd-0.01)*','_15b;var dy=(_15a||1)*_15b/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _16e;var _16f',';for(j=0;j<W.length;j++){','_16e=[];y=-H[0]-_159[0];pW=0;','for(i=0;i<','_156',667,'_16f=_156[i][j];if(_16f&&_16f.format!="null"){','if(_157[j]=="','l"){w',1106,1335,'r"){w=W[j]-_16f.w;}else{w=(W[j]-_16f.w)/2;}}_16f.x=w-pW;pW=_16f.w+w;_16f.y=y;_16e[_16e',1323,'_16f;}if(i+1<_156',942,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_159[i+1];}}if(_158[j]==null){_158[j]=_15b;}if(_16e.length>0',1274,'(_16e,"T",size);',1128,810,1110,'box.html,cW,0);cW=W[j]-box.w+_158[j];}else{cW+=_158[j];}}w=-_158[W.length-1];','y=(H.length-1)*dy+','_159[0];',1331,'W',667,'w+=W[i]+_158[i];}',1331,'H',667,'y+=Math.max(HD,H[i]+D[i])+','_159','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1128,810,'Spacer(cW-_158[W.length-1]+_15b/6);html=',810,1110,'html,_15b/6,h);box=',840,1040,'+_15b/3,h,d);box.bh=bh;box.bd=bd;',862,'LayoutAbsolute',625,'size,_172,_173,_174,_175,_176){if(_173==null){_173=[];}if(_174==null){_174=[];}if(_175==null){_175=[];}var _177=jsMath.sizes[size]/100;',1325,'_177;var dy=(_176||1)*_177/6',1308,'w=0;var h;var x;var y',1310,'_172',667,'if(_175[i]==null){_175[i]=0;}row=_172',1314,'_177',1316,'_177',1318,1319,'w;}}}}if(_175[_172',1321,'_175[_172',1323,'0;}',1352,'_175[0];',1331,'H',667,1361,'_175',1363,1327,'_186;w=_177/6',1329,'y=H[0]-h+_175[0];',1331,'_172',667,'_186=_172[i][j];if(_186&&_186.format!="null"){','if(_173[j]&&_173[j]=="','l"){x',1106,1412,'r"){x=W[j]-_186.w;}else{x=(W[j]-_186.w)/2;}}',1128,1179,'_186.html,w+x,y-Math.max(0,_186.bh-jsMath.h*_177));}if(i+1<_172',942,'y+=',1344,'_175[i+1];}}if(_174[j]==null){_174[j]=_177;}w+=W[j]+_174[j];}w=-_174[W.length-1]+_177/3;',1331,'W',667,'w+=W[i]+_174[i];}html=',810,'Spacer(_177/6',')+html+',810,1429,');if(',717,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',810,1237,'h+d,d,y,H[0]);',853,840,1040,'+_177/3,h,d);',862,'InternalMath',625,'text,size){if(!text.match(/\\$|\\\\\\(/)){',695,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _18d="";var _18e=[];var _18f;var html;var box;while(i<text',942,'c=text.charAt(i++);if(c','=="$"){if(_18d=="$"){','_18f=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_18f.error){_18e[_18e.length]=this.Text(_18f.error,"error","T",size,1,0.2);}else{_18f.Atomize();_18e[_18e.length]=_18f.mlist.Typeset("T",size).Styled();}_18d="";k=i',';}else{','_18e[_18e.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_18d="$";k=i;}}else{if(c=="\\\\"){',1450,'=="("&&_18d==""){',1456,',i-2',1458,'_18d=")";k=i;}else{if(c==")"&&_18d==")"){',1452,'2',1454,';}}}}}',1456,1458,695,'SetList(_18e,"T",size);},Set',625,'box',',_193,size',',_195){if(box&&box.type){','if(box.type=="typeset"){',671,'box;}if(box.type=="mlist"){box.mlist.Atomize(_193,size);',671,'box.mlist.Typeset(_193,size);}if(box.type=="text"){box=this.Text(box.text,',856,1476,',box.ascend||null,box.descend||null',');if(_195!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1476,1486,671,832,'.Null;},SetList',625,'_196,_197,size){var _199=[];var box;',652,'_196',667,'box=_196[i];',1478,'box=','jsMath.mItem','.Typeset(box);}_199[_199',1323,'box;}var _19c=new jsMath.Typeset(_199);',671,'_19c.Typeset(_197,size);}});','jsMath.Package(jsMath.','Box,{Styled',644,'if(this.format=="text"){',835,844,'this.tclass,this.html);',835,846,847,'this.style,this.size,this.html);delete this.tclass;delete this.style;this.format="html";}',671,'this;},Remeasured',644,'if(this.w>0){this.w',849,'this.html).w',788,'this;}});',1501,833,'type,def){this.type=type;',641,'this,def);};',641,1501,',{Atom',625,'type,_1a0','){return new jsMath.mItem','(type,{atom:1,nuc',':_1a0});},TextAtom',625,'type,text,_1a3,a,d){var atom=new ',1501,1537,':{type:"text",text:text,tclass:_1a3}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1544,'descend=d',788,'atom;},TeXAtom',625,'type,c,font',1536,1537,':{type:"TeX",c:c,font:font}});},Fraction',625,'name,num,den,_1ad,left,_1af',1536,'("fraction",{from:name,num:num,den:den,thickness:_1ad,left:left,right:_1af});},Space',625,'w',1536,'("space",{w:w});},Typeset',625,'box',1536,'("ord",{atom:1,nuc:box});},HTML',625,'html',1536,'("html",{html:html});}});jsMath.mList',833,'list,font,size,_1b6){if(list){this.mlist=list;}else{this.mlist=[];}if(_1b6==null){_1b6="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1b6','};this.init={',1573,'};};',1507,'mList,{Add',625,'box){return (','this.mlist[','this.mlist.length',']=box);},Get',625,'i){',695,'mlist[i];},Length',644,671,1582,';},Last',644,'if(',1582,1062,695,'mlist[',1582,'-1];},Range',625,'i,j){if(j==null){j=',1582,788,'new jsMath.mList(this.mlist.slice(i,j+1));},Delete',625,1601,'i;}if(','this.mlist.splice','){',1608,'(i,j-i+1);}else{var _1bd=[];for(var k=0;k<',1582,';k++){if(k<i||k>j){_1bd[_1bd',1323,1581,'k];}}this.mlist=_1bd;}},Open',625,'left){',853,'this.Add(new ',1501,'("boundary",{','data:this.data}));var _1c1=this.data;this.data={};for(var i in _1c1){this.data[i]=_1c1[i];}delete ','this.data.overI;','delete ','this.data.overF;this.data','.openI=',1582,'-1;if(left',858,'left=left;}',862,'Close',625,'_1c3){if(_1c3!=null){_1c3=new ',1501,1622,'right:_1c3});}var atom;var open=this.data.openI;var over=',1624,'var from=',1626,'=',1581,'open].data;if(over){atom=',1501,'.Fraction(from.name,{','type:"mlist",mlist:this.Range(','open+1,over-1)},{',1647,'over)},from.thickn'],
  ['ess',',from.left,from.right);','if(_1c3','){var ','_1c8=new ','jsMath.','mList','([','this.mlist','[open],atom,_1c3]);atom=','jsMath.mItem.','Atom("inner",{type:"mlist",mlist:_1c8});}}else{var _1c9=open+1;if(_1c3','){this.','Add(','_1c3);_1c9--;}atom=',10,'Atom((_1c3)?"inner":"ord",{','type:"mlist",mlist:this.Range(','_1c9)});}this.Delete(open,this.Length());','return this.',13,'atom);},Over',':function(){','var over=this.data.overI;var from=this.data.overF;var atom=',10,'Fraction(from.name,{',17,'open+1,over-1)},{',17,'over)},from','.thickness',1,8,'=[atom];},Atomize',':function(','_1cd,size',3,'_1cf;var prev="";','this.style','=_1cd;','this.size','=size;for(var i=0;i<',8,'.length;i++){','_1cf=',8,'[i];_1cf','.delta=0;','if(_1cf.type=="choice"){',8,'=this.Atomize.choice(',38,',_1cf,i,',8,');i--;}','else{if(','this.Atomize[_1cf.type',']){var f=',56,'];f(',38,',',40,',_1cf,prev,this,i);}}prev=_1cf;}if(_1cf&&_1cf','.type=="bin"){','_1cf','.type="ord";}','if(',8,'.length>=2&&_1cf.','type=="boundary','"&&',8,'[0].',70,'"){this.','AddDelimiters','(',35,');}},',76,34,'_1d3,size',3,'_1d5=-10000;var h=_1d5;var d=_1d5;for(var i=0;i<',8,43,'var _1d9=',8,'[i];if(_1d9.atom||_1d9.type=="box"){h','=Math.max(','h,_1d9.nuc.h+_1d9.nuc.y);d',90,'d,_1d9.nuc.d-_1d9.nuc.y);}}var TeX=',5,'TeX;var a=','jsMath.Typeset.','TeX(',82,').axis_height;var _1dc',90,'h-a,d+a);var H',90,'Math.floor(','TeX.integer','*_1dc/500)*TeX.delimiterfactor,',104,'*(2*_1dc-TeX.delimitershortfall))/',104,';var left=',8,'[0];var _1df=',8,'[',8,'.length-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1d3);_1df.nuc',116,117,'_1df.right',',_1d3);left.type="open";left','.atom=1;delete ',118,';_1df.type="close";_1df',124,122,';},','Typeset',34,'_1e0,size',3,'_1e2=new ',5,130,'(',8,');','return ','_1e2.',130,'(',132,');}});',5,13,5,6,'.prototype.Atomize,{style',34,'_1e3,size,_1e5,prev,_1e7){_1e7.style=_1e5.style;},size',34,'_1e8,size,_1ea,prev,_1ec){_1ec.size=_1ea.size;},phantom',34,'_1ed,size,_1ef){','var box','=_1ef.nuc',116,'Set(','_1ef.phantom',',_1ed',',size);','if(_1ef.h){box','.Remeasured();','box','.html=',5,'HTML.Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1ef.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',161,';_1ef','.type="box";},','smash',34,'_1f1,size,_1f3){',157,'=_1f3.nuc',116,160,'_1f3.smash',',_1f1,','size).Remeasured();',172,174,185,';_1f3',177,'raise',34,'_1f5,size,_1f7){','_1f7.nuc',116,160,196,',_1f5',',size);var ','y=_1f7.raise;',196,167,5,'HTML.Place(',196,'.html,0,y);',196,'.h+=y;',196,'.d-=y;_1f7','.type="ord";','_1f7.atom=1;},lap',34,'_1f9,size,_1fb){',157,116,160,'_1fb.nuc,_1f9,',187,'var _1fd=[box];','if(_1fb.lap=="','llap"){box.x=-box.w;}else{',223,'rlap"){_1fd[1]=',10,'Space(-',170,223,'ulap"){box.y=box.d;',172,'0;}else{',223,'dlap"){box.y=-box.h;',172,'0;}}}}_1fb.nuc',116,'SetList(','_1fd,_1f9',163,223,'ulap"||_1fb.lap=="dlap"){_1fb.nuc.h=_1fb.nuc.d=0;}_1fb.type="box";delete _1fb.atom;},bin',34,'_1fe,size,_200',',prev){if(prev','&&prev.type',3,'type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',70,'"&&prev.left!="")){_200.type="ord";}}else{_200',66,'jsMath.mList.prototype.Atomize.SupSub(',245,');},rel',34,'_203,size,_205',246,'.type&&prev',64,'prev',66,253,257,');},close',34,'_207,size,_209',246,'.type&&prev',64,'prev',66,253,267,');},punct',34,'_20b,size,_20d',246,'.type&&prev',64,'prev',66,253,277,');},open',34,'_20f,size,_211','){',253,287,');},inner',34,'_212,size,_214','){',253,293,');},','vcenter',34,'_215,size,_217','){',157,116,160,'_217.nuc,_215',201,'TeX=',96,'TeX(_215',163,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_217.nuc=box;_217',213,253,300,');},','overline',34,'_21a,size,_21c',3,'TeX=',96,'TeX(_21a',201,'box',116,160,'_21c.nuc',',',96,'PrimeStyle','(_21a),',187,'var t=','TeX.default_rule_thickness',';var rule',116,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',329,116,'SetList([box,','rule],_21a',163,329,'.h+=t;_21c',213,253,320,');},','underline',34,'_221,size,_223',3,'TeX=',96,'TeX(_221',201,'box',116,160,'_223.nuc',',',96,332,'(_221),',187,335,336,';var rule',116,339,'=-box.d-3*t-t;',363,116,343,'rule],_221',163,363,'.d+=t;_223',213,253,354,');},radical',34,'_228,size,_22a',3,'TeX=',96,'TeX(_228',201,'Cp=',96,332,'(_228);',157,116,160,'_22a.nuc,Cp,',187,335,336,';var p=t;if(_228=="D"||_228=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',116,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_228,1);if(surd.d>',407,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',116,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;box.x=-box.w;var Cr=',96,'UpStyle(',96,414,'_228));var root',116,160,'_22a.root||null,Cr,',187,'if(_22a.root){root.y=0.55*(',407,'+3*t+r)-box.d;surd.x',90,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_22a.nuc',116,'SetList([','surd,root,rule,box],_228',163,'_22a',213,253,387,');},accent',34,'_235,size',',_237',3,'TeX=',96,'TeX(_235',201,'Cp=',96,332,'(_235);',157,116,160,'_237.nuc',',Cp',201,'u=box.w;var s;var Font;if(_237.','nuc.type=="TeX','"){Font=',5,'TeX[',451,'.font];if(','Font[_237.nuc.c].krn','&&Font.skewchar){s=',461,'[Font.skewchar];}}if(s==null){s=0;}var c=_237.accent[2];var font=',5,'TeX.fam[_237.accent[1]];Font=',5,'TeX[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _240=Math.min(box.h,TeX.','x_height);','if(_237.',455,'"){var _241=',10,'Atom("ord",',451,');_241.sup=_237.sup;_241.sub=_237.sub;_241',47,253,437,',_241);_240+=(_241.nuc.h-box.h);box=',451,'=_241.nuc;delete _237.sup;delete _237.sub;}var acc',116,'TeX(c,font,',437,');acc.y=box.h-_240;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',451,116,343,'acc],',437,');if(',451,'.w!=box.w',3,'_243=',10,'Space(box.w-',451,'.w);',451,116,428,451,',_243],',437,');}_237',213,253,437,',_237);},op',34,'_244,size,_246',3,'TeX=',96,'TeX(_244',201,'box;_246',47,'var isD=(_244','.charAt(0)=="','D");if','(_246.limits','==null&&isD){_246.limits=1;}if(_246.',455,'"){var C=',5,'TeX[_246.nuc.font][','_246.nuc','.c];if(isD&&C.n){',530,'.c=C.n;C=',5,529,'C.n];}box',116,'Set(_246.nuc,_244,size',');if(C.ic){_246','.delta=C.ic*TeX.scale;if',524,'||!_246.sub||',5,'Browser.msieIntegralBug','){box',116,343,10,'Space(_246.delta)],','_244,size);}}','box.y=-((',407,')/2-box.d-',312,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',116,538,').Remeasured();}if',524,3,'W=box.w;var x=box.w;var _24d=[box];var dh=0;var dd=0;if(_246.sup',3,'sup',116,160,'_246.sup,',96,414,'_244),',187,'sup.x=((box.w-sup.w)/2+','_246.delta/2)-x;','dh=TeX.big_op_spacing5;W',90,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_24d[_24d.length]=','sup;delete _246.sup;}if(_246.sub',3,'sub',116,160,'_246.sub,',96,'DownStyle','(_244),',187,'sub.x=((box.w-sub.w)/2-',572,'dd=TeX.big_op_spacing5;W',90,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',576,'sub;delete _246.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',576,10,'Space(W-x);}',530,116,239,'_24d,_244',163,530,'.h+=dh;',530,'.d+=dd;}',55,5,544,'&&_246.sub&&C&&C.ic){',530,116,343,5,'Box.Space','(-C.ic*TeX.scale)],_244,size);}',55,'box.y){',530,116,428,'box],',550,253,513,79,'ord',34,'_252,size,_254',',prev,_256,i){if(_254.',455,'"&&!_254.sup&&!_254.sub',3,'_258=','_256.mlist[','i+1];if(_258&&_258.atom&&_258.type&&(_258.type=="ord','"||_258.type=="','op',636,'bin',636,'rel',636,'open',636,'close',636,'punct")){if(_258.',455,'"&&_258.nuc.font==_254.nuc.font){_254.textsymbol=1;var krn=',5,'TeX[_254.nuc.font][_254.nuc.c].krn;krn*=',96,'TeX(_252,size).scale;if(krn&&krn[_258.nuc.c]){for(var k=_256.mlist.length-1;k>i;k--){',634,'k+1]=',634,'k];}',634,'i+1]=',10,'Space(krn[_258.nuc.c]);}}}}',253,628,');},fraction',34,'_25b,size,_25d',3,'TeX=',96,'TeX(_25b',201,'t=0;if(_25d',30,'!=null){t=_25d',30,';}',55,'_25d.from.match(/over/)){t=',336,';}}var isD=(_25b',522,'D");var Cn=(_25b=="D")?"T":(_25b=="D\'")?"T\'":',96,414,'_25b);var Cd=(isD)?"T\'":',96,584,'(_25b);var num',116,160,'_25d.num,Cn,',187,'var den',116,160,'_25d.den,Cd,',187,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _269=[',5,'Box.',117,'_25d.left,_25b)];var _26a',116,117,'_25d.right,_25b);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_269[1]=num;_269[2]=den;}else{den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_269[1]=den;_269[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1;}else{u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0',3,'p=(isD)?7*',336,':3*',336,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t;var a=',312,711,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',712,'v+=p-r;}var rule',116,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_269[_269.length]=','rule;}num.y=u;den.y=-v',721,'_26a;_25d.nuc',116,239,'_269,_25b',163,'_25d',213,'_25d',124,'_25d.num;delete _25d.den;',253,666,');},SupSub',34,'_271,size,_273',3,'TeX=',96,'TeX(_271',201,'nuc=','_273.nuc',';',157,'=',745,116,160,745,',_271,size,0);if(box.format=="null"){box=',745,116,'Text("","normal",','_271,size);}','if(',455,'"){if(!_273.textsymbol',3,'C=',5,'TeX[nuc.font][nuc.c];if(C.ic){_273',540,'(!_273.sub){','box=',745,116,343,5,614,'(','_273.delta',')],_271',163,774,'=0;}}}else{',774,'=0;}}if(!_273.sup&&!_273.sub){return;}',745,'.Styled();var Cd=',96,584,'(_271);var Cu=',96,414,'_271);var q=',96,'TeX(Cu,size).','sup_drop;var r=',96,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_273.sub',3,'sub',116,160,'_273.sub,Cd',163,'sub',116,428,'sub,',10,'Space(TeX.scriptspace)],_271,size',');}if(!_273.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',96,793,469,745,116,343,'sub],_271,size).Styled();','delete _273.','sub;return;}var sup',116,160,'_273.sup,Cu',163,'sup',116,428,'sup,',10,806,');if(_271=="D"){p=TeX.sup1;}',55,'_271','.charAt(','_271','.length-1)=="\'"){','p=TeX.sup3;}else{p=TeX.sup2;}}u',90,'u,p,sup.d+',96,790,'x_height/4);if',766,'sup.y=u;',745,116,343,'sup],_271',163,815,'sup;return;}v',90,'v,',96,793,'sub2);',335,336,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',165,'sub',165,840,'sub.y=-v;sup.x=',774,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',745,116,343,'sub,sup],',757,'else{sub.x-=(sup.w+sup.x);',745,116,343,'sup,sub],',757,815,'sup;',815,'sub;}});',5,130,'=function(_282',12,'type="typeset";',8,'=_282;};',5,13,5,130,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle',':{D:"S\'",T:"S\'","',890,'\'",SS:"SS\'","',892,'UpStyle',34,'_283){',19,'upStyle[_283];},',584,34,'_284){',19,893,'[_284];},',332,34,'_285){if(_285',830,'_285',832,140,'_285;}',140,'_285+"\'";},StyleValue',34,'_286,v){if(_286=="S"||_286=="S\'"){',140,'0.7*v;}if(_286=="SS"||_286=="SS\'"){',140,'0.5*v;}',140,'v;},StyleSize',34,'_288,size){if(_288=="S"||_288=="S','\'"){size=Math.max(0,size-','2);}else{if(','_288=="SS','"||',931,929,'4);}}return ','size;},TeX',34,'_28a,size){if(_28a=="S"||_28a=="S',929,930,'_28a=="SS','"||',941,929,935,5,'TeXparams[size];},AddStyle',34,'_28c,size,html){if(_28c=="S"||_28c=="S',929,930,'_28c=="SS','"||',952,929,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+','html+"</span>";}',140,'html;},AddClass',34,'_28f,html){if(_28f!=""&&_28f!="normal"){html=',5,'HTML.Class(_28f,html);}',140,'html;}});',5,'Package(',5,130,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',971,'punct',973,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',973,',bin:2,rel:3,open',979,'}},SSsep:{ord:{op:1},op',973,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',34,'l,r,_293){if(l&&l.atom&&r.atom',3,'_294=this.DTsep;if(_293',522,'S"){_294=this.SSsep;}var row=_294[l.type];if(row&&row[r.type]!=null){',140,5,'TeX[this.sepW[row[r.type]]];}}',140,'0;},',130,34,'_296,size){',38,'=_296;',40,'=size;var _298=-10000;this.w=0;this.h=_298;this.d=_298;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;','this.tclass','="";','this.cbuf','="";this.hbuf="";this.hx=0;var _299=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',8,43,'prev=_299;_299=',8,'[i];switch(_299.type){case "size":','this.FlushClassed();',40,'=_299.size;','_299=prev;break;case "','style":',1015,'if(',38,830,38,832,38,'=_299.style','+"\'";}else{',38,1027,';}',1018,'space":if(typeof (_299.w)=="object"){if(',38,830,'1)=="','S"){_299.w=0.','5*','_299.w[0]/18',';}',55,38,522,1037,'7*',1039,';}else{_299.w=',1039,';}}}this.dx+=_299.w-0;',1018,'html":',1015,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_299.html;_299=prev;break;default:if(!_299.atom&&_299.type!="box"){break;}','_299.nuc.','x+=this.dx+this.',987,'(prev,_299,',38,');if(',1057,'y||',1057,'x){',1057,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1057,'w+',1057,'x;if(',1057,'format=="text"){if(',1006,'!=',1057,'tclass&&',1006,'!=""){','this.FlushText','();}','if(this.tbuf','==""&&',1008,'==""){this.tx=this.x;}this.tbuf+=',1057,'html;',1006,'=',1057,'tclass;}else{',1015,'if(',1057,'x||',1057,'y',12,'Place(_299.nuc);}',1053,'x;}',1055,1057,'html;}this.h',90,'this.h,',1057,'h+',1057,'y);this.bh',90,'this.bh,',1057,'bh);this.d',90,'this.d,',1057,'d-',1057,'y);this.bd',90,'this.bd,',1057,'bd);break;}}',1015,'if(this.dx){',1055,5,169,'this.dx);this.w+=this.dx;}if(this.hbuf==""){',140,5,'Box.Null;}if(this.h==_298',12,'h=0;}if(this.d==_298',12,'d=0;}',157,'=new ',5,'Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;',140,'box;},FlushText',22,1083,'==""){return;}',1008,'+=',96,'AddClass(',1006,',this.tbuf);this.tbuf="";',1006,'="";},FlushClassed',22,1081,'();if(',1008,1147,1053,'tx;}',1055,96,'AddStyle(',38,',',40,',',1008,');',1008,'="";},Place',34,'item',3,'html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',5,'HTML.Em(item.x)+";";}if(item.y){html+=" top:"+',5,'HTML.Em(-item.y',')+";";}item',167,'html+"\\">"+item.html+"</span>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',34,'item){if(item.y){item.',1177,'; "+"top:"+',5,1182,')+";"+"\\">"+item.',957,'if(item.x){item',167,5,169,'item.x)+item.html;}',1186,';}});',5,'Parse','=function(s,font,size,','_2a3',3,'_2a4=new ',5,'Parser','(s,font,size,_2a3);_2a4.Parse();',140,'_2a4;};',5,1210,1205,'_2a8',12,'string=s;this.i=0;',8,'=new ',5,6,'(null,font,size,_2a8);};',5,'Package(',5,1210,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1230,'r',1230,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1242,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1242,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1240,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1250,'T"],scriptstyle',1250,'S"],scriptscriptstyle',1250,'SS"],rm',':["HandleFont",','0],mit',1258,'1],oldstyle',1258,'1],cal',1258,'2],it',1258,'4],bf',1258,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1272,'arctan',1272,'arg',1272,'cos',1272,'cosh',1272,'cot',1272,'coth',1272,'csc',1272,'deg',1272,'det',':"NamedOp",','dim',1272,'exp',1272,'gcd',1292,'hom',1272,'inf',1292,'ker',1272,'lg',1272,'lim',1292,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1310,'sup"],ln',1272,'log',1272,'max',1292,'min',1292,'Pr',1292,'sec',1272,'sin',1272,'sinh',1272,'sup',1292,'tan',1272,'tanh',1272,298,':["HandleAtom","',298,'"],',318,1336,318,'"],',352,1336,352,'"],over',':"HandleOver",','overwithdelims',1347,'atop',1347,'atopwithdelims',1347,'above',1347,'abovewithdelims',1347,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1359,'","[","]"],choose',1359,'","(",")"],overbrace',1270,'leaders"],','underbrace',1270,1366,'overrightarrow',1270,1366,'overleftarrow',1270,1366,'overset',1270,'underset-overset"],','underset',1270,1378,'llap',':"HandleLap",','rlap',1383,'ulap',1383,'dlap',1383,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1391,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1395,'not="],neq',1395,'not="],notin',1395,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1395,1402,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1395,'mathbin{\\\\rm mod}"],pmod',1395,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1395,'ointop\\\\nolimits"],doteq',1395,'buildrel\\\\textstyle.\\\\over="],ldots',1395,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1395,1418,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1395,1418,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1395,1418,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1395,1402,'kern-4mu}"],relbar',1395,1402,'smash-}"],','Relbar',1395,1407,'="],bowtie',1395,1407,'\\\\',1236,'\\\\joinrel\\\\',1407,'\\\\triangleleft"],models',1395,1407,'|\\\\joinrel="],mapsto',1395,'mapstochar\\\\','rightarrow"],rightleftharpoons',1395,298,'{\\\\',1402,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1238,'}"],hookrightarrow',1395,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1395,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1395,1435,1443,'Rightarrow"],','longrightarrow',1395,'relbar\\\\',1461,'longleftarrow',1395,1464,'relbar"],Longleftarrow',1395,'Leftarrow\\\\joinrel\\\\',1435,'"],longmapsto',1395,1450,'char{cmsy10}{0}\\\\',1461,'longleftrightarrow',1395,'leftarrow\\\\',1461,'Longleftrightarrow',1395,1479,1469,'iff:["Macro","\\\\;\\\\',1490,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1497,'rm #1}",1],mathbf',1497,'bf #1}",1],','mathbb',1497,1502,'mathit',1497,'it #1}",1],textrm',1395,'mathord{\\\\hbox{#1}}",1],','textit',1395,'mathord{\\\\class{',1511,'}{\\\\hbox{#1}}}",1],','textbf',1395,1513,1516,1515,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1522,'1],qquad',1522,'2],thinspace',1522,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1530,'ord",1.15],bigg',1530,'ord",1.45],Bigg',1530,'ord",1.75],bigl',1530,'open",0.85],Bigl',1530,'open",1.','15],biggl',1530,1541,'45],Biggl',1530,1541,'75],bigr',1530,'close",0.85],Bigr',1530,'close",1.','15],biggr',1530,1552,'45],Biggr',1530,1552,'75],bigm',1530,'rel",0.85],Bigm',1530,'rel",1.15],biggm',1530,'rel",1.45],Biggm',1530,'rel",1.75],mathord',1336,'ord"],mathop',1336,'op"],mathopen',1336,'open"],mathclose',1336,'close"],mathbin',1336,'bin"],',1407,1336,'rel"],mathpunct',1336,'punct"],mathinner',1336,'inner"],','mathchoice',1270,1585,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1270,'fbox"],strut:"Strut",mathstrut',1395,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1593,'18]],ddot',1593,'127]],tilde',1593,'126]],bar',1593,'22]],breve',1593,'21]],check',1593,'20]],hat',1593,'94]],vec',':["MathAccent",[0,','1,126]],dot',1593,'95]],widetilde',1609,'3,101]],widehat',1609,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1617,'","&nbsp;","normal"],angle:["',1617,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1623,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",noalign:"HandleNoAlign",eqalignno',1623,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1623,1628,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1633,'1],scriptsize',1633,'2],small',1633,'3],normalsize',1633,'4],large',1633,'5],Large',1633,'6],LARGE',1633,'7],huge',1633,'8],Huge',1633,'9],dots',1395,'ldots"],','newcommand',1270,1655,'"],def',1270,1655,'"],color',1270,'HTML"],href:['],
  ['"','Extension','","HTML"],"class":["',1,'","HTML"],','style:["',1,4,'cssId:["',1,4,'unicode:["',1,4,'bbox:["',1,'","bbox"],require:"','Require','","char":"Char"},','environments',':{array:"Array",','matrix',':["Array",null,null,"','c"],pmatrix',':["Array','","(",")","c"],bmatrix',24,'","[","]","c"],Bmatrix',24,'","\\\\{","\\\\}","c"],vmatrix',24,'","\\\\vert","\\\\vert","c"],Vmatrix',24,'","\\\\Vert","\\\\Vert","c"],cases',24,'","\\\\{",".","ll",null,2],eqnarray',22,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',41,'[id]]=obj[id];}},Error',38,'(s){','this.i','=this.','string.length;if(s','.error){','this.error','=s.error;}else{if(!this',50,51,'=s;}}},nextIsSpace',38,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',38,'(text){','if(typeof (','text)!="string"){',58,'text;}',58,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',38,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',50,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',89,90,'1',74,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',102,'TeX")){',58,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',38,'(){var ','_2b0=/^([a-z]+|.) ?/i;var cmd=_2b0.exec(','this.string.slice(','this.i));','if(','cmd){','this.i+=','cmd[1].length;',58,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2b3){','while','(this.nextIsSpace()){this.i','++;}if(',47,'>=','this.string','.length){','if(!',125,'this.Error("','Missing',' argument for "+name);}',89,'if(',59,')==this.','close){if(!',125,135,'Extra close brace','");}',89,'if(',59,141,115,120,58,'this.cmd+','this.',108,'();}if(',59,')!=this.open','){return ',59,'++);}var j','=++this.i;var ','_2b5=1;var c="";',126,'(this.i<this.string.length){','c=',59,'++);','if(c==this.cmd){',47,'++;}else{if(c','==this.open){_2b5',172,'==this.close){if(_2b5==0){',135,145,'");',89,'if(--_2b5==0',160,112,'j,',47,'-1);}}}}}',135,'Missing close brace','");return',' null;},ProcessArg',123,'){var arg=this.',122,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',123,191,122,'(',194,195,196,'if(arg.charAt(0',141,'cmd',74,'_2bb=arg.substr(1);if(_2bb=="frac"){arg+="{"+this.',122,'(_2bb)+"}";',195,196,'arg+="{"+this.',122,'(_2bb)+"}";',195,' null;}}else{if(_2bb','=="sqrt"){arg+="["+this.','GetBrackets','(_2bb)+"]";',195,196,'arg+="{"+this.',122,'(_2bb)+"}";',195,219,'.match(this.scriptargs)){arg+="{"+this.',122,'(_2bb)+"}";',195,' null;}}}}}',197,'GetDelimiter',123,'){',126,127,'++;}var ','c=',59,');if',166,120,170,'c="\\\\"+this.',108,'(',194,195,' null;}}','if(','this.delimiter[','c]!=null',160,255,'c];}}',135,136,' or unrecognized delimiter for "+','name);return null;},','GetDimen',123,',nomu',74,'rest;var _2c1=0;if',127,'++;}if(',59,')=="{"){rest',48,122,'(name);}else{rest=',112,47,');_2c1=1;}',58,'this.','ParseDimen','(rest,name,_2c1,nomu);},',281,38,'(_2c2,name,_2c4,nomu',74,'_2c6=_2c2.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2c6){',135,136,' dimension or its units for "+',194,89,'if(_2c4){',116,'_2c6[0].length;if',127,'++;}}var d=_2c6[1]-0;if(_2c6[4]=="px"){d/=',79,'em',';}else{if(_2c6[4]=="','pt"){d/=10',300,'ex"){d*=','jsMath.TeX.','x_height',300,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',58,'d;},GetNext',38,'(){',126,127,'++;}',58,59,');},',221,123,74,'c',48,'GetNext();if(c','!="["){return "";}var _2ca',163,'_2cb=0;',126,166,'var c=',59,'++);if(c=="{"){','_2cb',172,'=="}"){if(','_2cb==0){',135,145,' while looking for',' \']\'");',89,'_2cb--;}else{',170,47,172,'=="]"){if(_2cb==0',160,112,'_2ca,',47,'-1);}}}}}}',135,'Couldn\'t find',' closing \']\' for argument to "+',154,263,'GetUpto',123,',_2ce){',126,127,241,'_2cf',48,'i;var _2d0=0;',126,166,'var c=',59,331,'_2d0',172,334,'_2d0==0){',135,145,338,' "+',154,'_2ce);',89,'_2d0--;}else{',170,'if(',112,'this.i,this.i+','5)=="begin"){_2d0++;',116,'4;}else{if(',112,385,'3)=="end"){if(_2d0>0){_2d0--;',116,'2;}}}if(',373,'if(',112,385,'_2ce.length',')==_2ce){c=',59,'+',398,');if(c.match(/[^a-z]/i)||!_2ce.match(/[a-z]/i)){var arg=',112,'_2cf,',47,'-1);',116,398,';',58,'arg;}}}',47,'++;}}}}',135,352,' "+',154,'_2ce+" for "+',263,'ProcessUpto',123,',_2d4',191,356,'(name,_2d4);',195,196,197,'GetEnd',38,'(env',74,'body="";var name="";',126,'(name!=env){body+=this.',356,'("begin{"+env+"}","end");',195,196,'name',48,122,'(this.cmd+"','end");',195,253,58,'body;},Space',38,'(){},','Prime',38,'(c',74,'base=',76,98,'(base==null||(!base',100,'base.type!="','box"&&',461,'frac")){',456,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',135,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',126,'(c=="\'"){sup+=this.cmd+"prime";c',48,323,'=="\'"){',47,'++;}}base.sup',48,71,'(sup);','base.sup.isPrime','=1;},RaiseLower',123,74,'h','=this.GetDimen(this.cmd+name',',1);',195,472,'box',48,198,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',76,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',123,74,'x',489,490,195,472,'box','=this.ProcessArg',496,497,'moveleft"){x=-x;}',466,'Space(x));',466,'Atom("ord",box));',466,'Space(-x));},',17,123,74,'file',48,122,496,';}file=',79,1,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',1,'(null,[','file]);},',1,123,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',41,'[data[1]||"macros"][name];}',79,1,'.',17,'(data[0],',542,'.asynchronous',');throw "restart";},Frac',123,74,'num',510,496,472,'den',510,496,';}',466,'Fraction("over",num,den));},Sqrt',123,74,'n',48,221,496,472,'arg',510,496,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',48,71,'(n);',195,';}}',76,'Add(box);},','Root',123,74,'n',48,421,'(',154,'name,"of");',195,472,'arg',510,496,578,'box.root=n;',76,586,'BuildRel',123,74,'top',48,421,'(',154,'name,"over");',195,472,'bot',510,496,472,'op=',79,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',76,'Add(op);},MakeBig',123,',data){var ','type=data[0];var h=data[1]*',79,'p_height;var _2f9',48,236,496,';}',466,'Atom(type,',79,'Box.Delimiter(h,_2f9,"T")));},Char',123,74,'font',48,122,496,472,'n',48,122,496,';}if(!','jsMath.TeX[font',']){',651,']=[];this.',1,537,'jsMath.Font.URL(font',')]);}else{',466,'Typeset(',79,'Box.TeX(n-0,font,"T",',76,83,')));}},Matrix',123,',_2fe',74,'data=',76,77,'var arg',48,122,496,472,'_301','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_2fe[5]||"T");_301.',21,'=name;_301.row=[];_301.table=[];_301.rspacing=[];_301.Parse();if(_301',50,87,'_301);',534,'_301','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_301.table,_2fe[2]||null,_2fe[3]||null,_301.rspacing,_2fe[4]||null);if(_2fe[0]&&_2fe[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_2fe[0]],"T");var _304',689,'_2fe','[1]],"T");box=jsMath.Box.SetList([left,box,','_304],','data.style,data.size',');}',466,'Atom((_2fe','[0]?"inner":"ord"),box));},','HandleEntry',123,'){','if(!this.',21,'){',87,'name+" can only appear in a matrix or array");return;}if(',76,'data.openI',544,'var open=',76,'Get(',76,709,');if(open','.left){',135,136,' "+this.cmd+"right','");}else{',135,187,'");}}if(',76,'data.overI',544,76,'Over();}var data=',76,77,76,'Atomize(',695,');var box=',76,660,695,');this.row[','this.row.length',']=box;this.mlist=new ',79,'mList(null,null,',83,84,');},HandleRow',123,',last',74,'_30b;',703,21,'){',87,154,707,'name=="\\\\"){_30b',48,221,496,';}if(_30b){','_30b',48,281,'(_30b,',154,'name,0,1);}}this.',700,'(',194,'if(!last||',740,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',761,'this.rspacing[this.table.length',']=_30b;}this.row=[];},HandleNoAlign',123,191,122,496,472,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',132,'return',472,'d',48,281,'(skip,',154,'RegExp.$1,0',490,195,';}',777,']=(',777,']||0)+d;},Array',123,',_311',74,'_312=_311[2];var _313=_311[3];if(!_312){_312',48,122,444,'begin{"+name+"}");',195,';}}_312=_312.replace(/[^clr]/g,"");_312=_312.split("");var data=',76,77,'var _315=_311[5]||"T";var arg',48,430,'(',194,195,472,'_317',678,'_315);_317.',21,'=name;_317.row=[];_317.table=[];_317.rspacing=[];_317.Parse();if(_317',50,87,'_317);',534,'_317',687,'_317.table,_312,_313,_317.rspacing,_311[4]);if(_311[0]&&_311[1]){var left',689,'_311[0]],"T");var _31a',689,'_311',693,'_31a],',695,');}',466,'Atom((_311',699,'Begin',123,74,'env',48,122,496,';}if(env.match(/[^a-z*]/i)){',135,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',703,19,'[env]){',135,'Unknown',853,855,'var cmd',48,19,'[env];',63,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',123,74,'env',48,122,496,';}',87,154,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',123,',w){',466,'Space(w-0));},Hskip',123,74,'w',48,264,496,';}',466,'Space(w));},HBox',123,'){var text=this.',122,496,';}','var box=jsMath.','Box.InternalMath(text,',76,83,');',466,660,'box));},Rule',123,',_328',74,'w',489,490,195,472,'h',489,490,195,472,'d',489,490,195,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',79,'em,h);}if(h==0||w==0||_328=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',927,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',927,'Em(-d)+"\\">"+','html+"</span','>";}',466,660,'new ',79,'Box("html",html,w,h-d,d)));},Strut',38,110,'size=',76,83,';',899,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',466,660,'box));},Phantom',123,627,'arg',510,496,';}',76,500,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',123,627,'arg',510,496,';}',76,500,'smash",{smash:arg}));},MathAccent',123,',_336',74,'c',510,496,472,96,79,622,'accent",c);atom.accent=_336[0];',76,'Add(atom);},NamedOp',123,627,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',899,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',76,586,'Limits',123,627,96,76,98,'(!atom||atom.type!="op"){',87,154,'name+" is allowed only on operators',188,';}atom.limits=data[0];},Macro',123,627,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',774,122,496,';}}text',48,'SubstituteArgs','(args,text);}',131,48,'AddArgs(','text,',112,113,47,'=0;},',1013,38,'(args,_347',74,'text="";var _349="";var c;var i','=0;while(i<','_347',132,'c=','_347.charAt(i','++);',170,'text+=c+',1032,'++);}else{if(c=="#"){c=',1032,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',132,135,'Illegal macro parameter reference");',89,'_349',48,1017,'this.AddArgs(_349,text','),args[c-1]);text="";}}else{text+=c;}}}',58,1048,');},AddArgs',38,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',58,'s1+s2;},Replace',123,541,466,'TextAtom',552,'data[1],data[2],data[3]));},Tilde',123,'){',466,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',123,74,'box',510,'();',195,';}box=',76,500,'lap",{nuc:box,lap:name}));},HandleAtom',123,627,'arg',510,496,';}',466,'Atom(data,arg));},HandleMathCode',123,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',38,'(type,font,code){if(type==7&&',76,81,544,'font=',76,81,';}font=',304,'fam[font];if(!',651,']){',651,']=[];this.',1,537,657,')]);}else{',466,'TeXAtom(',304,'atom[type],code,font));}},','HandleVariable',38,'(c',1088,'7,1',',c.charCodeAt(0));},','HandleNumber',38,'(c',1088,'7,0',1118,'HandleOther',38,'(c){',466,1066,'",c,"normal"));},HandleComment',38,110,'c;',126,166,'c=',59,1039,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',123,',_360){',76,'data.style=_360[0];',76,500,'style",{style:_360[0]}));},HandleSize',123,',size){',76,83,'=size[0];',76,500,'size",{size:size[0]}));},HandleFont',123,',font){',76,81,'=font[0];},HandleCS',38,110,'cmd',48,108,'();',195,';}if(this.macros[cmd]){var _366',48,'macros[cmd];',63,'_366',869,'_366=[_366];}this[_366[0]](cmd,_366.slice(1));',534,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1176,']);',534,'if(',255,154,'cmd',1177,'cmd,',255,154,'cmd].slice(0,3));',534,135,'Unknown control sequence \'"+',154,'cmd+"\'");},HandleOpen',38,'(){',76,'Open();},HandleClose',38,'(){if(',76,709,'==null){',135,145,188,472,'open=',76,'Get(',76,709,');if(!open||','open.left',1204,76,'Close();}else{',135,145,' or missing',720,188,';}},HandleLeft',123,74,'left',48,236,496,';}',76,'Open(left);},HandleRight',123,74,'_36b',48,236,496,472,'open=',76,'Get(',76,709,716,'&&',1215,544,76,'Close(_36b);}else{',135,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',123,541,'if(',76,726,544,135,'Ambiguous use of "+',154,194,534,76,726,'=',76,'Length();',76,'data.overF={name:name};if(data.length>0){',76,'data.overF.','left=',255,'data[0]];',76,1273,'right=',255,'data[1]];}else{if(name.match(/withdelims$/)){',76,1273,'left',48,236,496,';}',76,1273,'right',48,236,496,';}}else{',76,1273,'left=null;',76,1273,1279,'null;}}if(name.match(/^above/)){',76,1273,'thickness',489,490,195,1295,76,1273,'thickness=null;}},HandleSuperscript',38,110,456,76,98,'(base==null||(!base',100,461,'box"&&',461,'frac")){',456,466,467,468,'if(',484,'){',456,466,467,'else{',135,'Double exponent',471,';}}base.sup',48,198,'("superscript");',195,';}},HandleSubscript',38,110,456,76,98,'(base==null||(!base',100,461,'box"&&',461,'frac")){',456,466,467,'if(base.sub){',135,'Double subscripts',471,';}base.sub',48,198,'("subscript");',195,';}},Parse',38,110,'c;',126,166,'c=',59,1039,'this.mathchar[c',1177,'c,',1376,']);}else{if(this',42,'c]){this[this',42,'c]](c',');}else{if(','this.letter','.test(c)){this.',1113,'(c',1385,'this.number',1387,1119,'(c);}else{this.',1125,'(c);}}}}}if(',76,709,544,'var open=',76,'Get(',76,709,716,'.left){',135,136,720,721,135,187,'");}}if(',76,726,544,76,'Over();}},Atomize',38,110,'data=',76,'init;if(!this',50,76,733,695,');}},Typeset',38,110,'data=',76,'init;var box',48,'typeset=',76,660,695,');',195,' "<span class=\\"error\\">"+',51,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _376=0;var _377','=0;if(box.bh>','box.h&&box.bh>',79,'h','+0.001){_376=1;}if(box.','bd>box.d&&box.bd>',79,'d',1448,'h>',79,'h||box.d>',79,'d){_377=1',472,'html=box.html;if(_376){if(','jsMath.Browser.','allowAbsolute',74,'y',1444,79,'h+0.001){y=',79,'h-box.bh;}html=',927,'Absolute(html,box.w,',79,'h,0,y,',79,'h',1385,1460,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',935,'>";}else{var dy=',927,'Em(Math.max(0,box.bd-',79,'hd)/3);',1478,')+";"+" position:relative; top:"+dy+"; ',932,'dy+"\\">"+',935,'>";}}_377=1;}if(_377){html+=',927,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',935,'></nobr>";}});',41,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',123,74,'_37c=',41,'.macros;','_37c','[name]=["','Macro"];for(var i=1;i<arguments.length;i++){_37c[name][_37c[name].length]=arguments[i];}}});',79,1,'={safeRequire:1,Macro',123,',file',74,'_380=',41,1504,'if(file',1204,'file=name;}_380',1506,1,'",file];},LaTeX',38,'(env,file',74,'_383=',41,'.',19,';_383[env]=["',1,'",file,"',19,'"];},Font',123,1156,'if(font',1204,'font=name+"10";}var _386=',41,1504,'_386',1506,1,'",',657,')];},MathChar',38,'(font,defs',74,'fam=',304,'famName[font','];if(fam',1204,1551,304,'fam.length;',304,'fam[fam]=font;',304,1553,']=fam',472,'_38a=',41,'.mathchardef;for(var c in defs){_38a[c]=[defs[c][0],fam,defs[c][1]];}},',17,38,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',79,'root.length)!=',79,'root))){',531,532,']=1;',534,531,'Script(this.URL(file),show);},URL',38,'(file){file=file',69,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',58,'file;}};',1498,71,38,39,531,'Body();','jsMath.Script.','Push(',542,',"','Asynchronous','",obj);},ProcessBeforeShowing',38,39,531,1592,'var _391=(','jsMath.Controls.cookie.','asynch?"',1597,'":"','Synchronous','");',1593,1594,542,',_391,obj);}});',542,'={element:[],cancel:0,Parse',38,'(_392,s,_394',74,'_395=',79,'Global.','cache[_392];if(!','_395[jsMath.em',']){',1623,']={};}var HTML=',1623,'][s];if(!HTML||_394',74,'_397=',79,'Parse(s,null,null,_392);_397.Atomize();HTML=_397.Typeset();if(!_394){',1623,'][s]=HTML;}}',58,'HTML;},TextMode',38,'(s,_399){this.Parse("T",s,_399);},DisplayMode',38,'(s,_39b){this.Parse("D",s,_39b);},','GetElementText',38,'(_39c',895,'recursiveElementText','(_39c);_39c.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1647,'gt;/g,">");',1647,'quot;/g,"\\"");',1647,'amp;/g,"&");}',58,'text;},',1645,38,'(_39e){if(','_39e.nodeValue','!=null',160,1660,';}if(','_39e.childNodes.length','==0){return " ";}var text="";',1006,1665,';i++){text+=this.',1645,'(_39e.childNodes[i]);}',58,1656,'ResetHidden',38,'(_3a1){_3a1.innerHTML',931,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',1460,'operaHiddenFix;_3a1.className="";',79,'hidden=_3a1.firstChild;if(!',79,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',79,'ReInit();},','ConvertText',38,'(_3a2,_3a3',895,1641,'(_3a2',');this.ResetHidden(','_3a2',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3a3','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3a3);_3a2','.className="typeset";','_3a2','.innerHTML=text;},','ConvertDisplay',38,'(_3a5,_3a6',895,1641,'(_3a5',1695,'_3a5',1697,'_3a6',1699,'D",text,_3a6);_3a5',1701,'_3a5',1703,'ProcessElement',38,'(_3a8){','this.restart','=0;var _3a9=(','_3a8.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3a8.tagName.toLowerCase()=="','div"){this.',1704,'(_3a8,_3a9);_3a8.onclick=jsMath.Click.CheckClick;_3a8.ondblclick=jsMath.Click.CheckDblClick',';}else',1726,'span"){this.',1689,1729,';}}}catch(err){if(_3a8.alt',74,'tex=_3a8.alt;','tex=tex.replace','(/&/g,"&amp;");',1738,'(/</g,"&lt;");',1738,'(/>/g,"&gt;");_3a8.innerHTML=tex;',1724,'="math";if(_3a9){',1724,'+=" nocache";}}',1685,';}},','ProcessElements',38,'(k){',1593,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1758,'){','jsMath.Message.','Set("',71,' Math: Canceled");',1764,'Clear();}',1593,1754,'0;',1593,71,'();}else{','this.ProcessElement(this.element[','k]);if(',1722,'){',1593,1594,'this,"',1750,'",k);',1593,1754,'0;setTimeout("',1593,71,'()",',1460,'delay);}else{k++;var p=Math.floor(100*k/',1756,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',542,'.',1750,'("+k+")",',1460,'delay);}}},',1597,38,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1758,'=0;this',554,'=1;',1593,1754,'1;',1795,': 0%",1);setTimeout("',542,'.',1750,'(0)",',1460,'delay);},',1608,38,'(obj,i){if(i==null',1806,'i=0;}this',554,1028,1756,'){',1776,'i]);if(',1722,'){',79,'Synchronize','("',542,'.',1608,'(null,"+i+")");',1593,71,'();',534,'i++;}this.',1760,'(1);},GetMathElements',38,39,'var _3b1=[];if(!obj){obj=','jsMath.document',';}',63,'obj',869,'obj=',1852,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',89,'var math=',1860,'("div','");for(var k=0;k<math.length;k++){if(math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3b1[_3b1.length]=math[k];}}}','math=',1860,'("span',1866,'if(',1460,'renameOK','&&obj','.getElementsByName','){_3b1=obj',1875,'("_jsMath_',721,'if(',79,'hidden','.sourceIndex','){_3b1.sort(function(a,b',160,'a',1883,'-b',1883,';});}}',58,'_3b1;},',1760,38,'(_3b7){if(',1460,1873,74,'_3b8=',1852,1875,1878,'");for(var i=_3b8.length-1;i>=0;i--){_3b8[i].removeAttribute("name");}}',1685,';this.element=[];if(!_3b7){',1795,': Done");',1764,'Clear();}',1764,'UnBlank();if(',1460,'safariImgBug&&(',1604,'font=="symbol"||',1604,'font=="image")){if(','this.timeout','){clearTimeout(',1918,');}',1918,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1924,'(1,0); "+"',542,'.timeout = null",2000);}},Cancel',38,'(){',542,'.cancel=1;if(',1593,'cancelTimer){',1593,'cancelLoad();}}};',1498,'ConvertTeX',38,'(_3ba){',1593,'Push(jsMath.tex2math,"',1939,'",_3ba);},','ConvertTeX2',38,'(_3bb){',1593,1943,1946,'",_3bb);},','ConvertLaTeX',38,'(_3bc){',1593,1943,1953,'",_3bc);},','ConvertCustom',38,'(_3bd){',1593,1943,1960,'",_3bd);},','CustomSearch',38,'(om,cm,od,cd','){',1593,1594,'null,function(){',79,'tex2math.',1967,1969,');});},tex2math:{',1939,38,451,1946,38,451,1953,38,451,1960,38,451,1967,38,'(){}}});',79,1836,'=',1593,1836,';try{if(','window.parent','!=window&&window.jsMathAutoload){',2000,'.jsMath=jsMath;',1852,'=',2000,'.document;',79,'window=',2000,';}}catch(err){}',79,1621,'Register();',79,'Loaded();',79,'Controls.GetCookie();',531,'Source();',79,1621,'Init();',1593,'Init();',531,'Fonts();if(',1852,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
